0.224 2020-08-26
----------------


MAME Testers Bugs Fixed
-----------------------
- 03090: [Sound] (tankbatt.cpp) tankbatt: Tank Battalion lacks credit sound and rumbling sounds wrong. (Ryan Holtz)
- 03228: [Misc.] (midxunit.cpp) revx: Self-test reports error with custom chip U76. (AJR)
- 07094: [Media Support] (vtech2.cpp) laser500: Cassette data rate is 15% high, making it incompatible with real machine. (Robbbert)
- 07103: [Documentation] (segag80v.cpp) tacscan: Tac/Scan sound balance is incorrect. (Aaron Giles)
- 07141: [Speed] (vtech2.cpp) laser500: Emulated speed is faster than real machine. (Robbbert)
- 07552: [Sound] (midwunit.cpp) wwfmania, wwfmaniab, wwfmaniac, wwfmaniap: Sound stops working during attract mode. (MetalliC)
- 07697: [Graphics] (odyssey2.cpp) odyssey2 [qbert]: Text and cubes appear incorrectly. (hap)
- 07729: [DIP/Input] (meadows.cpp) bowl3d: Machine seems to reset on coin input rather than adding credits. (AJR)
- 07730: [Graphics] (nmk16.cpp) hachamf and clones: Character’s colors on title screen are incorrect. (cam900)


New working machines
--------------------
Break Ball [anonymous]
C. Itoh Electronics CIT-101e Video Terminal [AJR, Bitsavers]
Gratis Poker (V.204, set 1) [TeamEurope, Roberto Fresca]
Macro Winners Game Sporz Wireless Boxing [Sean Riddle, David Haywood]
Senario Vs Maxx 10-in-1 Casino / Senario Card & Casino Games [Sean Riddle, David Haywood]
Senario Vs Maxx 5-in-1 Casino / Senario Card & Casino Games [Sean Riddle, David Haywood]


New working clones
------------------
Cherry Master I (ver.1.01, set 10, BET stops all) [Ioannis Bampoulas, Roberto Fresca]
Cherry Master I (ver.1.01, set 11, TAKE stops all) [Ioannis Bampoulas, Roberto Fresca]
Cherry Master I (ver.1.01, set 9) [Roberto Fresca, TeamEurope]
Gkoulit (encrypted GFX) [Ioannis Bampoulas, Roberto Fresca]
Gratis Poker (V.204, Set 2) [TeamEurope, Roberto Fresca]
Hegener + Glaser Mephisto Polgar (v1.10) [Berger]
Huanle Liuhe Yi (Happy 6-in-1) (M68K ver. V100, ARM ver. V100CN) [GC8TECH, Team FBNeo]
Jolly Card (Italian, encrypted bootleg, set 3) [Roberto Fresca, Ioannis Bampoulas]
Jolly Joker (40bet, lower paytable) [Roberto Fresca]
Jolly Joker (Solid State module in suicide board) [TeamEurope, Roberto Fresca]
Knights of Valour 2 Plus - Nine Dragons / Sanguo Zhan Ji 2 Qunxiong Zhengba / Sanguo Zhan Ji 2 Feilong Zai Tian / Sangoku Senki
  Busyou Souha (ver. M203XX, 200, 100CN) [GC8TECH, Team FBNeo]
Mighty! Pang (Asia 001010) [parramon]
Monopoly (JPM) (Version 3) (SYSTEM5 VIDEO) [Phil Bennett, James Wallace, David Haywood]
Monopoly (JPM) (Version 4) (SYSTEM5 VIDEO) [Phil Bennett, James Wallace, David Haywood]
Monopoly (JPM) (Version 4H, Protocol) (SYSTEM5 VIDEO) [Phil Bennett, James Wallace, David Haywood]
Monopoly Classic (JPM) (Version 5, Protocol) (SYSTEM5 VIDEO) [Phil Bennett, James Wallace, David Haywood]
Monopoly Deluxe (JPM) (Version 6, Protocol) (SYSTEM5 VIDEO) [Phil Bennett, James Wallace, David Haywood]
Mr. Do! (bootleg) [Juan Romero, ClawGrip]
Oriental Legend / Xiyou Shi E Chuan (ver. 105, Taiwanese Board) [GC8TECH, Team FBNeo]
Philips Videopac C52 (France) [hap]
Reflex Cards (English, serial protected) [Roberto Fresca, Ioannis Bampoulas]
Ring of Destruction: Slammasters II (Brazil 940902) [SHVB, Filipe Nascimento, The Dumping Union]
Sector Zone (set 2, Tecfri hardware) [Juan Romero, ClawGrip, David Haywood, Recreativas.org]
Sector Zone (set 3) [Real, f205v]
Tougenkyou - Road of the Sword (M68k label V100) (ARM label V101, ROM 03/13/03 SHEN JIAN) (Japan, JAMMA PCB) [GC8TECH, Team FBNeo]
Zhongguo Long II (ver. 101C, China) [GC8TECH, Team FBNeo]
Zhongguo Long Pretty Chance [Dragon World Pretty Chance] (V110 03/19/02 11:13:16, China) [GC8TECH, Team FBNeo]
Zoo Keeper (bootleg) [Andrew Welburn]


Machines promoted to working
----------------------------
C. Itoh Electronics CIT-101 Video Terminal [AJR]
Fidelity Electronics Chess Challenger [Berger, Mike Watters]
Macro Winners Game Sporz Wireless Duet Play Ping-Pong [David Haywood, Sean Riddle]
Marcel van Kervinck / Walter Belgers Gigatron TTL Microcomputer [Sterophonick]


Clones promoted to working
--------------------------
Adders and Ladders (v2.1d) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Barquest (v2.6d) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Blox (SJM BLOX, 50p/20p Play, Version 2.0) (Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
The Mating Game (v0.4, Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Prize Space Invaders (BWB INV1, 50p/30p Play, Version 1.2) (Datapak) (MPU4 Video)
  [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Prize Tetris (BWB) (Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Prize Tetris (BWB) (Showcase) (Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Strike it Lucky (v0.5, Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Strike it Lucky (v0.53, Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Super 98 (3-hands, ICP-1) [Roberto Fresca]


New machines marked as NOT_WORKING
----------------------------------
Bare Knuckle II (bootleg of Megadrive version) [Jorge Silva, Ricardo Goncalves]
Bingo 75 [TeamEurope, Roberto Fresca]
CIE Terminals CIT-101XL Video Display Terminal [Bitsavers, Al Kossow]
dreamGEAR My Arcade Gamer Mini 160-in-1 (DGUN-2953) [Sean Riddle, David Haywood]
Epoch / SSD Company LTD Super PC TV (Epoch) [Preservat!on Quest / Noah Bacon, Hubz]
Hola Don Pepito [Victor Fernandez (City Game), aidneub41 (José Antonio), ClawGrip]
I'm Game! GP120 (Family Sport 120-in-1) [Sean Riddle, David Haywood]
Lee Data 1220 Display Terminal [Bitsavers]
Lexibook Compact Cyber Arcade - Cars [TeamEurope, David Haywood]
Lexibook Compact Cyber Arcade - Paw Patrol [TeamEurope]
My Wico Guitar [ClawGrip, Sean Riddle, David Haywood]
NJ Pocket 60-in-1 handheld 'X zero' (NTSC) [Takashi Omoto, TeamEurope, David Haywood]
PCP 8728 - 788 in 1 [David Shah]
Photo Play 1999 (Spanish) [jordigahan, ArcadeHacker, ClawGrip, Recreativas.org]
Qume QVT-82 [Bitsavers]
Sega Golf Club Network Pro Tour 2005 (Rev C) (GDX-0010C) [Jorge Valero, rtw]
SNES 4 Slot arcade switcher (NBA Jam) [Jorge Silva, Ricardo Goncalves]
Taikee / V-Tac Ordenador-TV (Spain) [ClawGrip, Sean Riddle, David Haywood]
Tiger / SSD Company LTD U-Dance [Sean Riddle, David Haywood]
TikTokTech Ltd. / 3T Games / Senario Moving Music (MM-TV110) [Sean Riddle, David Haywood]
Ultimate Products / Jungle's Soft Zone Fusion [Sean Riddle, David Haywood]
unknown unSP-based handheld [unknown]
unknown VT1682-based 101-in-1 handheld (PAL) [Takashi Omoto, TeamEurope, David Haywood]
Virtual Ping Pong (Protocol) [Sean Riddle, David Haywood]
WinFun Centro TV de Diseno Artistico (Spain) [ClawGrip, Sean Riddle, David Haywood]


New clones marked as NOT_WORKING
--------------------------------
Baywatch (2.01 French) [PinMAME]
Cuatro en Linea (rev. A-06) [Victor Fernandez (City Game), ClawGrip]
Dead or Alive (Model 2B, Revision C) [Trol]
Gold Rush (BWB) (Release 3, 20p Fixed, Cash+Token) (MPU4 Video) [unknown]
Miami Dice (BWB) (Release 6, Arcade Standard, 20p-£8 Token - Fixed) (MPU4 Video) [unknown]
Middle Earth (alternate) [PinMAME]
Monte Carlo Or Bust (BWB) (German) (MPU4 Video) [unknown]
Monte Carlo Or Bust (BWB) (Release 5, Arcade Special, 20p Fixed, Cash and Tokens) (MPU4 Video) [unknown]
Monte Carlo Or Bust (BWB) (Release 5, S/Site Standard, 20p Fixed, £8 All Cash) (MPU4 Video) [unknown]
Monte Carlo Or Bust (BWB) (Release B, Arcade Special, 20p Switchable, Cash and Tokens) (MPU4 Video) [unknown]
Oriental Legend 2 (Korea) / Xiyou Shi E Chuan Qunmoluanwu (World, China, Japan, Hong Kong, Taiwan) (ver. 203) [Oriental Ex]
  [GC8TECH, Team FBNeo]
Piccadilly Night (Nova, German) (set 1) (MPU4 Video) [unknown]
Piccadilly Night (Nova, German) (set 3) (MPU4 Video) [unknown]
Puzzle Star / Mohuan Xingzuo (ver. 100MG, 09/20/99 build) [GC8TECH, Team FBNeo]
Monopoly Deluxe (JPM) (Version 1) (SYSTEM5 VIDEO) [Phil Bennett, James Wallace, David Haywood]
Shan Liang San He Yi (Flash 3-in-1) (V102 08/23/04 13:03:26) [GC8TECH, Team FBNeo]


New working software list additions
-----------------------------------
apple2_flop_clcracked:
  Addition: Fractions Concepts Steps 1-8 (cleanly cracked), Addition: Fractions Steps 9-21 (cleanly cracked),
  Addition: Whole Numbers Steps 1-17 (cleanly cracked), Analytical Reasoning (cleanly cracked),
  Apple Galaxian (StarCraft) (cleanly cracked), Averages (cleanly cracked), Casa Del Misterio (cleanly cracked),
  Computer Assisted Problem Solving for Intermediate Algebra (Revision 2) (cleanly cracked), Conceptor (cleanly cracked),
  Daily Computer Crosswords from The New York Times (cleanly cracked), Dawn Patrol (cleanly cracked),
  Decimals Steps 7-10 (cleanly cracked), Division: Whole Numbers Steps 1-19 (cleanly cracked), Dungeon! (cleanly cracked),
  Epyx 3-Pack (cleanly cracked), Estimation: Bull's Eye (cleanly cracked), Exploring Maps and Globes (cleanly cracked),
  Fraction Word Problems (cleanly cracked), French Achievement III (Version 1.0) (cleanly cracked),
  Geometry Pool and Billiards (cleanly cracked), Geometry: Area and Perimeter (cleanly cracked),
  Geometry: Rectilinear Regions (cleanly cracked), Graphing is Fun: Pie and Line Graphs (cleanly cracked),
  Harvey by Primes (cleanly cracked), Integers (A Contest) (cleanly cracked), Kaves of Karkhan (Revision 2) (cleanly cracked),
  La Corrida de Toros (cleanly cracked), La Guillotine (cleanly cracked), M-ss-ng L-nks: Al Pie De La Letra (cleanly cracked),
  Math Demo Disk #1: Secondary Mathematics (cleanly cracked),
  Math Demo Disk #2: Graphing Equations and Interpreting Graphs (cleanly cracked),
  Math Demo Disk #3: Postsecondary Mathematics (cleanly cracked), Math Skills: Elementary Level (cleanly cracked),
  Math Skills: Junior High Level (cleanly cracked), MECC-A308 Rocket Factory (Version 1.0) (cleanly cracked),
  MECC-A746 English Volume 1: Parts of Speech (Version 1.5) (cleanly cracked), Metric System Tutor (cleanly cracked),
  Multiplication/Division Fractions: Steps 1-20 (cleanly cracked), Multiplication: Whole Numbers Steps 1-14 (cleanly cracked),
  Newbery Winners: A Wrinkle in Time (cleanly cracked), Newbery Winners: Bridge to Terabithia (cleanly cracked),
  Newbery Winners: Sounder (cleanly cracked), Newbery Winners: The Westing Game (cleanly cracked),
  Nouns/Pronouns (08.31.86 Version) (cleanly cracked), Opposites v01.30.87 (cleanly cracked),
  Percent Concepts Steps 1-5 (cleanly cracked), Percent Steps 7-10 (cleanly cracked), Problem Solving in Algebra (cleanly cracked),
  Proper and Improper Fractions: Fractions, Decimals, and Percent (2nd Edition) (cleanly cracked),
  Reading Comprehension: Main Idea and Details (cleanly cracked), Return to Reading: Johnny Tremain (cleanly cracked),
  Return to Reading: The Red Pony (cleanly cracked), Rounding and Estimation (cleanly cracked),
  Scoring Higher: Mathematics A, Grade Level 3 (cleanly cracked), Scoring Higher: Verbal Grade Level 3 (cleanly cracked),
  Snooper Troops 1: The Case of the Granite Point Ghost (Revision 2) (cleanly cracked),
  Solving Equations and Inequalities (Version 2) (cleanly cracked), Solving Word Problems 1 (cleanly cracked),
  Solving Word Problems II (cleanly cracked), The Sorcerer of Claymorgue Castle (Version 2.2/122) (cleanly cracked),
  Space Journey (cleanly cracked), Spanish Achievement II: Grammar (cleanly cracked), The Spanish Contest (cleanly cracked),
  The Spanish Hangman (cleanly cracked), Subtraction: Fractions Steps 1-11 (cleanly cracked),
  Subtraction: Whole Numbers Steps 1-17 (cleanly cracked), Testing Basic Math Skills 1 (cleanly cracked),
  Theseus and the Minotaur (cleanly cracked), U-Boat Command (cleanly cracked), Verbs 2 (Version 08.31.86) (cleanly cracked)
  [4am, Firehawke]
  Troll's Tale (Revision 2) (cleanly cracked) [4am, san, Firehawke]
  MECC-A157 Oregon Trail (Version 1.4) (cleanly cracked) [LoGo, Firehawke]
apple2_flop_misc: Anti-M (version 1.7) [4am, qkumba, Firehawke]
apple2_flop_orig:
  Quickflash! (Version 1.0), The Sorcerer of Claymorgue Castle (Version 2.2/122), Speedway Math (Version 1.0),
  Those Amazing Reading Machines IV (Version 1.0) [4am, Firehawke]
bbc_rom:
  Kenda Professional DMFS with PADS 1.02, Master ROM 1.04, Supervisor 2 - DFS, Supervisor 3 - Floppy, Supervisor 3 - Winchester
  [Nigel Barnes]
  UDM DDFS 0.98 [Paul Klintworth]
  UDM DDFS 3.10 [Steve Williams]
electron_cart: Sound Expansion 2.0 [MarkH]
electron_rom: Mode 7 Simulator v1.5 [Nigel Barnes]
fm7_cass: Inoue's Dragon Slayer [Samuel Messner]
g7400:
  Home Computer Module (Euro) [hap, unknown]
  Clay Pigeon (Euro, Plus, Prototype, Alt) [unknown]
gamate: Incantational Couple [Peter Wilhelmsen, David Haywood, Morten Shearman Kirkegaard]
hp9k3xx_cdrom:
  HP LaserROM HP-UX Release 9.0, HP-UX 9.1 Y2K Patches, HP-UX 9.10 Programming Language Tools, HP-UX Application Software,
  HP-UX Release 9.10 for Series 300/400 [Bitsavers, Davide Cavalca]
hp9k3xx_hdd: HP-UX Release 9.10 for Series 300/400 [Davide Cavalca]
ibm5150: Prince of Persia (3.5", v1.1), Wolfpack (USA) [ArcadeShadow]
ibm5170:
  Alone in the Dark 2 (USA), Battle Chess 4000, Beneath a Steel Sky (Euro), Fury of the Furries (Euro), Goblins Quest 3 (Germany),
  Indiana Jones and the Fate of Atlantis - The Action Game,
  Indiana Jones and the Last Crusade - The Graphic Adventure (VGA version), Jungle Strike,
  Leisure Suit Larry 1: In the Land of the Lounge Lizards (3.5", VGA release, v2.0),
  Leisure Suit Larry 1: In the Land of the Lounge Lizards (5.25", VGA release, v2.1), Mortal Kombat (Germany),
  UFO - Enemy Unknown (Euro), X-COM - UFO Defense (USA) [ArcadeShadow]
  Rise of the Dragon (5.25") [TGOD, Justin Kerk]
kaypro484:
  CP/M 2.2G (81-292-A) [Don Maslin]
  CP/M 2.2F (81-292) [Scott G Taylor]
odyssey2:
  Martian Threat (Euro, Prototype, Alt), Power Lords (Euro, Prototype), Red Baron (Euro, Prototype, Alt), Route 66,
  Spider-Man (Euro, Prototype, Alt) [unknown]
pc98:
  Nirvana - Zeta II (cracked) [Macaw45, Justin Kerk]
  F-15 Strike Eagle, F29 Retaliator (1992-10-10), Fantasy Knight Fukkokuban, Farland Story - Juuou no Akashi,
  Farland Story - Juuou no Akashi (cracked), Farland Story - Kamigami no Isan, Fermion - Mirai kara no Houmonsha,
  Figure - Ubawareta Houkago, Figure - Ubawareta Houkago (Alt), Finish Hold, Finish Hold 2 - Tag, Finish Hold Hissatsuwaza Zukan,
  First Queen, First Queen (Alt), First Queen III, FlixMix, Floppy Bunko 09 - Bishoujo Graphic Data Shuu Vol. 04, FontWave,
  Foresight Dolly, Four Flush, Frontier, Frontier (cracked), Fuurin Kazan, Fuzoroi no Lemon [Neo Kobe Collection, r09]
sgi_mips:
  Adobe FrameMaker 5 and Adobe Frame Developer's Kit, Adobe FrameMaker 5.5.6, Mathematica 5.2 [archive.org, Davide Cavalca]
  FORTRAN 77 Compiler 4.0.1, IRIS Development Option 5.2, IRIX 5.2 Patches, Support Advantage Int'l 11/93,
  Support Advantage Int'l 3/94 [darkstar]
  Chalice 1.5.12, Chalice 1.6.1, Chalice 2.0, RAYZ 2.2, RAYZ 2.2.12 [Davide Cavalca]
  Tripos SYBYL 7.2 [unixfiles.org, Davide Cavalca]
t1000: MS-DOS (Version 3.30, Tandy version 3.30.22) (Tandy 1000 SL/2) [Jon Guidry, Justin Kerk]
vgmplay:
  Ago Board (MSX2, PSG), Ago Board (MSX2, SCC), Aleste (MSX2, OPLL), Aleste (MSX2, PSG), Altered Beast (ZX Spectrum 128),
  Athletic Land (MSX), Bubble Bobble (ZX Spectrum 128), Cabbage Patch Kids (MSX), Circus Charlie (MSX),
  Clash Pennant Race 2 (MSX2, SCC), Cyber Commando (Namco System 22), Don Doko Don 2 (Family Computer), Famicom Yarou Vol. 1 (NES),
  Frogger (MSX), Great Sluggers '94 - New World Stadium (Namco NB-1), Great Sluggers - New World Stadium (Namco NB-1),
  Great Sluggers Featuring 1994 Team Rosters (Namco NB-1), Heart Heat Girls (NEC PC-9801), Hyper Rally (MSX, PSG),
  Hyper Rally (MSX, SCC), Looney Tunes (Nintendo Game Boy), Metal Slug 2 (SNK Neo Geo),
  Nester's Funky Bowling (Nintendo Virtual Boy), Orphe Music Disk (NEC PC-8801), Pit-Fighter (ZX Spectrum 128),
  R-Type (NEC PC-88VA), Samurai Shodown (Neo Geo), Samurai Shodown II (Neo Geo), SegaSonic Cosmo Fighter (Sega System C-2),
  South Park (Nintendo Game Boy Color), Spider-Man - The Videogame (Sega System 32), Star Ship Rendezvous (NEC PC-9801),
  Super Cobra (MSX, PSG), Super Cobra (MSX, SCC), Super Mario Bros. Deluxe (Nintendo Game Boy Color),
  Super World Stadium '95 (Namco NB-1), Super World Stadium '98 (Namco System 12), The Jetsons - Cogswell's Caper! (NES),
  The Jetsons - Robot Panic (Nintendo Game Boy), Toy Story (Dendy) [vgmrips.net, Tafoid]


Software list items promoted to working
---------------------------------------
electron_cart: Sound Expansion [Nigel Barnes]
g7400:
  Air Battle (Euro, Plus), Basket Bowling+ (Fra, Plus), Billard+ (Fra, Plus), Billiard (Euro, Plus, Prototype),
  Clay Pigeon (Euro, Plus, Prototype), Cosmic Conflict (Euro, Plus), Cosmos+ (Fra, Plus), Demon Attack+ (Fra, Plus), Exojet+ (Fra),
  Flashpoint (USA, Prototype, PAL Conversion), Flipper Game (Euro, Plus, Prototype), Flipper+ (Fra, Plus),
  Freedom Fighters (Euro, Plus), Grand Prix+ (Fra, Plus), Helicopter Rescue (Euro), Killer Bees (Euro, Plus),
  Loony Balloon (Euro, Plus), Moto-Crash+ (Fra), Neutron Star (Euro, Plus), Nightmare (Euro, Plus), Norseman (Euro),
  Pickaxe Pete (Euro, Plus), Race/Spin-out/Cryptogram (Euro, Plus), La Ruche Infernale (Fra, Plus), Satellite Attack (Euro, Plus),
  Stone Sling (Euro, Plus), Tenpin Bowling/Basketball (Euro, Plus, Prototype), Terrahawks (Euro, Plus), Le Tresor Englouti+ (Fra),
  Trans American Rally (Euro) [hap]
odyssey2: Chess Module (Euro) [hap]
pc98:
  F-1 Databox (Demo), FILE - Kokubou Soushou Jouhoukyoku Jouhou Rouei Taisakubu Josei Jinmon'in, Fantasy Knight,
  Farland Story - Daichi no Kizuna, Farland Story Denki - Arc Ou no Ensei, Feed no Gyakushuu - Backlash of Feed,
  File:0 - Ghost Killer Kamimura Rei, Foreigner, Kazuma CG Collection - Fantastic Girls Vol.1, Lotus Freelance (Demo)
  [r09, Angelo Salese]


New NOT_WORKING software list additions
---------------------------------------
bbc_rom: Terminal for Rank-Cintel/BBC Slide File, VideoROM: Videodisc Player Control Software [Nigel Barnes]
bbcm_cart: MasterPieCe 1.10, Prisma-3 1.30, Prisma-3 2.30 [Ian Bradbury]
electron_cart: UPURS 1.0E [Martin Barr]
electron_rom: GoMMC Tools 1.03, Mode 7 Mk2 v1.1, Mode 7 Mk2 v2.2 [Nigel Barnes]
pc98: Fairie's Residence, Farce - Yuuwaku Hakusho, Finish Hold 2 - Tag (cracked), Finish Hold (cracked) [Neo Kobe Collection, r09]
picno: Dokkin Shinri Game, Hello Kitty no Eikaiwa, Paint Ehon: Cinderella Monogatari [TeamEurope]
princ: Doraemon [BacoKarel, rootifera, Cupcake, ClawGrip, TeamEurope]
snotec: Gokinjo Monogatari, Tare Panda [ClawGrip, TeamEurope]
t1000: DeskMate 3 (Tandy 1000 SL/2) [Jon Guidry, Justin Kerk]


Merged pull requests
--------------------
- 6995: Added new -speaker_report option to help developers tune sound levels. [Aaron Giles]
- 6996: sound/k054539.cpp: Suppress read side effects for debugger, and flagged imperfect sound emulation. [cam900]
- 7001: hp_ipc.cpp: Added I/O slots, and implemented HP82919 RS-232 serial module. [F.Ulivi]
- 7003: 4enlinea.cpp: Added Cuatro en Linea (rev. A-06). [Victor Fernandez (City Game), ClawGrip]
- 7005: renegade.cpp: Corrected clocks, interrupt sources and coin counters for renegade and kuniokun. [TwistedTom]
- 7007: Added latest Apple II disk dumps and cracks for July 2020. [Firehawke]
- 7008: ibm5170.xml: Added three entries. [ArcadeShadow]
- 7009: nes_sh6578.cpp, nes_vt.cpp: Added three TV games. [Sean Riddle, David Haywood]
- 7010: cinemat.cpp: Added internal layout and cleaned up gear shift input for Speed Freak. [Aaron Giles]
- 7012: tecnodar.cpp: Added ASCII PCB layout. [ClawGrip]
- 7013: vsmilem_cart.xml: Added notes about undumped Chinese cartridges. [ClawGrip]
- 7014: 3rdparty/sol2: Worked around GCC 10.2 operator overload resolution issues. [AJR]
- 7015: formats/mdos_dsk.cpp: Added legacy floppy format, and added support for XDOS format. [68bit]
- 7016: machine/mc6843.cpp: Added a delay between reading the last byte of a sector and reporting the CRC. [68bit]
- 7017: Added one working and six non-working TV games. [David Haywood]
- 7018: Added additional internal layouts for Spy Hunter optimised for wide screen host displays. [Firehawke]
- 7019: Fixed redundancy in AppVeyor pacman key import command. [Belegdol]
- 7020: funworld.cpp: Follow convention for jolycdii manufacturer. [cam900]
- 7021: nes_vt.cpp, vt1682.cpp: Added two TV games. [David Haywood]
- 7022: vsmile_cart.xml: Updated cartridge dump status lists. [ClawGrip]
- 7024: bus/hp9845_io: Emulated HP98036 serial I/O module for HP9825 and HP9845 systems. [F.Ulivi]
- 7026: ibm5170.xml: Added four entries. [ArcadeShadow]
- 7027: xavix_2000.cpp, xavix2002.cpp: Added three TV games. [David Haywood]
- 7028: mw8080bw.cpp: Added missing diode to MC3340 netlist, correcting 280zzzap engine sound pitch. [Colin Douglas Howell]
- 7029: tecmo.cpp: Fixed silkwormb graphics ROM loading (fixes missing background tiles on final level). [TwistedTom]
- 7032: gaelcof3.cpp: Added ASCII PCB layout. [ClawGrip]
- 7033: gigatron.cpp: Implemented graphics and outputs, added internal layout, and promoted machine to working. [Sterophonick]
- 7035: gaelcof3.cpp: Added Hola Don Pepito and updated notes. [Victor Fernandez (City Game), aidneub41 (Jose Antonio), ClawGrip]
- 7038: mpu4vid.cpp: Fixed some palette issues and identified more sets. [David Haywood]
- 7040: Added recently-added netlists for carpolo and fireone to tiny subtarget. [Belegdol]
- 7041: Added ci subtarget including recompiling CPU cores to identify build issues on non-x86 targets faster. [Belegdol]
- 7042: sgi_mips.xml: Added five entries. [darkstar]
- 7045: video/epic12.cpp: Fixed preprocessor condition for enabling video RAM viewer, and updated notes. [cam900]
- 7047: generalplus_gpl16250_nand.cpp: Tweaked GPL16250 handmade bootstrap; mpu4vid.cpp: Located some missing ROMs. [David Haywood]
- 7048: ibm5170.xml: Added three entries. [ArcadeShadow]
- 7049: generalplus_gpl_unknown.cpp, nes_vt.cpp, unk6502_st2xxx.cpp: Added four TV games. [David Haywood]
- 7051: seta.cpp: Corrected description for title screen language switch. [cam900]
- 7052: Added additional internal layouts optimised for wide screen host displays for systems with gear shift inputs. [Firehawke]
- 7054: raiden_ms.cpp: Added ASCII PCB layout, added year, and updated machine flags. [ClawGrip]
- 7056: docs: Fixed compilation with newer, stricter versions of Sphinx. [Firehawke]
- 7057: pc98.xml: Added 28 entries, re-tested software, added usage notes, and removed some duplicates. [Neo Kobe Collection, r09]
- 7058: mw8080bw.cpp: Added netlist audio for lagunar, and made some improvements to the 280zzzap netlist. [Colin Douglas Howell]
- 7059: Added Apple II disk dumps and cracks up to mid-August 2020. [Firehawke]
- 7060: picno.xml: Added three entries. [TeamEurope, ClawGrip]
- 7062: drdmania.cpp: Dumped and added missing PROM and updated year for drdmania. [Juan Romero, ClawGrip]
- 7063: Define IMGUI_DISABLE_OBSOLETE_FUNCTIONS consistently to avoid differing definitions of ImGuiIO. [Belegdol]
- 7064: Added recently-added netlist for starfire to ci subtarget. [Belegdol]
- 7065: fm7_cass.xml: Added Inoue's Dragon Slayer [Samuel Messner, Sterophonick]
- 7068: gamate.xml: Added Incantational Couple [Peter Wilhelmsen, David Haywood, Morten Shearman Kirkegaard]
- 7070: Reverted #7051. [Angelo Salese]
- 7073: vigilant.cpp: Added PAL and PROM dumps to vigilantbl. [TwistedTom]
- 7074: tnzs.cpp: Fixed a typo in a comment. [Rolel 42]
- 7075: cpu/upd7810: Improved ADC behavior; bus/centronics/epson_lx810l.cpp: Improved inputs. [Golden Child]
- 7079: bus/centronics/epson_lx810l.cpp: Added enough inputs to get ActionPrinter 2000 to start properly. [Golden Child]
- 7080: vsmile.cpp: Added simple controller LED display. [Simon Eriksson]
- 7081: sspeedr.cpp: Added netlist-based audio implementation. [Colin Howell]
- 7083: mrdo.cpp: Added Mr. Do! (bootleg). [Juan Romero, ClawGrip]
- 7084: ibm5170.xml: Added three entries. [ArcadeShadow]
- 7085: n64.xml: Added some cartridge PCB metadata. [ClawGrip]
- 7087: sgi_mips.xml: Added nine entries. [Davide Cavalca]
- 7088: n64.xml: Fixed validity issues introduced in #7085. [ClawGrip]
- 7089: ibm5150.xml: Added two entries. [ArcadeShadow]
- 7094: hp9k3xx_cdrom.xml, hp9k3xx_hdd.xml: Added HP-UX CD-ROMs and installed hard disk image for HP9000/3xx. [Davide Cavalca]
- 7096: cps2.cpp: Added Mighty! Pang (Asia 001010). [parramon, ClawGrip]
- 7097: machine/microtch.cpp: Add revision 2.2 BIOS. [Victor Fernandez (City Game), ClawGrip]
- 7098: generalplus_gpl_unknown.cpp: Re-dumped pcp8718; cpu/unsp: Implemented some bit operations. [Sean Riddle, David Haywood]
- 7099: nmk16.cpp: Fixed DMA timing regression (MT07730). [cam900]
- 7100: photoply.cpp: Added notes about BIOS versions. [ClawGrip]
- 7103: Improved sound emulation for games on Sega G-80 platform, including netlist-based audio for four games. [Aaron Giles]
- 7104: photoply.cpp: Added Photo Play 1999 (Spanish). [jordigahan, ArcadeHacker, ClawGrip, Recreativas.org]
- 7106: netlist: Use posix_memalign on Android as well as macOS. [Tiago Pierezan Camargo]
- 7107: Pass FORCE_C_DRC_BACKEND=1 for PowerPC targets to prevent build failing in AsmJit. [Belegdol]
- 7108: generalplus_gpl_unknown.cpp: Added crude FIFO for pcp8718 and pcp8728, allowing them to progress further. [David Haywood]
- 7109: generalplus_gpl_unknown.cpp: Allow pcp8718/pcp8728 to progress further; cpu/unsp: Improved bit operations. [David Haywood]
- 7112: Added latest Apple II disk dumps and cracks for August 2020, and cleaned up metadata. [Firehawke]
- 7113: Enabled Travis CI ppc64le build, allowing it to fail until #3157 can be resolved. [Belegdol]


Source Changes
--------------
-montec: fix lockup [hap]

-netlist: hopefully fix issue #7006 [couriersud]

-gaiden: combine shadoww D sprite roms verified with redump, apply the same to Japanese set [Victor Fernandez (City Game)]

-nl_palestra.cpp: fix building with gcc-10.1 on mingw32. [couriersud]

-casloopy.cpp kill some wrong info [MetalliC]

-z80.cpp HALT notes [MetalliC]

-bus/spectrum/lprint.cpp add "Hilderbay / Kempston Centronics S" interace [MetalliC]

-z80: don't continue cpu when halt opcode gets overwritten [hap]

-ibm5150.xml: Correct spelling, reorganize [Justin Kerk]

-new WORKING machines (plug and play) (#7009) [David Haywood]

new WORKING machines
--------------------
Vs Maxx 5-in-1 Casino / Senario Card & Casino Games [Sean Riddle, David Haywood]
Game Sporz Wireless Boxing [Sean Riddle, David Haywood]

new NOT WORKING machines
------------------------
Zone Fusion [Sean Riddle, David Haywood]

-2004 seems to be the release year of these [David Haywood]

-Hopefully not too late for merge for 223. Here's the Apple II stuff for July 2020. (#7007) [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Those Amazing Reading Machines IV (Version 1.0) [4am, Firehawke]
Speedway Math (Version 1.0) [4am, Firehawke]
Quickflash! (Version 1.0) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Apple Galaxian (StarCraft) (cleanly cracked) [4am, Firehawke]
Space Journey (cleanly cracked) [4am, Firehawke]
Exploring Maps and Globes (cleanly cracked) [4am, Firehawke]
Snooper Troops 1: The Case of the Granite Point Ghost (Revision 2) (cleanly cracked) [4am, Firehawke]
Newbery Winners: A Wrinkle in Time (cleanly cracked) [4am, Firehawke]
Newbery Winners: Bridge to Terabithia (cleanly cracked) [4am, Firehawke]
Newbery Winners: Sounder (cleanly cracked) [4am, Firehawke]
Newbery Winners: The Westing Game (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Geometry: Area and Perimeter (cleanly cracked) [4am, Firehawke]
Harvey by Primes (cleanly cracked) [4am, Firehawke]
Computer Assisted Problem Solving for Intermediate Algebra (Revision 2) (cleanly cracked) [4am, Firehawke]
Geometry: Rectilinear Regions (cleanly cracked) [4am, Firehawke]
Problem Solving in Algebra (cleanly cracked) [4am, Firehawke]
Integers (A Contest) (cleanly cracked) [4am, Firehawke]
Solving Equations and Inequalities (Version 2) (cleanly cracked) [4am, Firehawke]
Estimation: Bull's Eye (cleanly cracked) [4am, Firehawke]
Return to Reading: The Red Pony (cleanly cracked) [4am, Firehawke]
Return to Reading: Johnny Tremain (cleanly cracked) [4am, Firehawke]
Testing Basic Math Skills 1 (cleanly cracked) [4am, Firehawke]
Geometry Pool and Billiards (cleanly cracked) [4am, Firehawke]
Casa Del Misterio (cleanly cracked) [4am, Firehawke]
M-ss-ng L-nks: Al Pie De La Letra (cleanly cracked) [4am, Firehawke]
Fraction Word Problems (cleanly cracked) [4am, Firehawke]
The Spanish Contest (cleanly cracked) [4am, Firehawke]
Analytical Reasoning (cleanly cracked) [4am, Firehawke]
Rounding and Estimation (cleanly cracked) [4am, Firehawke]
Proper and Improper Fractions: Fractions, Decimals, and Percent (2nd Edition) (cleanly cracked) [4am, Firehawke]
Averages (cleanly cracked) [4am, Firehawke]
Nouns/Pronouns (08.31.86 Version) (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Metric System Tutor (cleanly cracked) [4am, Firehawke]
Addition: Whole Numbers Steps 1-17 (cleanly cracked) [4am, Firehawke]
Addition: Fractions Concepts Steps 1-8 (cleanly cracked) [4am, Firehawke]

New working clones
------------------
Jolly Joker (Solid State module in suicide board) [Team Europe, Roberto Fresca]

New working machines
--------------------
Gratis Poker (V.204) (2 sets) [Team Europe, Roberto Fresca]

-Jolly Joker (Solid State module in suicide board): Module specs. [Roberto Fresca]

-vsmile, nes_clone: Fixed issues for release. [Ryan Holtz]

New clones marked as NOT_WORKING
--------------------------------
Cherry Master I (ver.1.01, set 9) [Team Europe]

-Cherry Master I (ver.1.01, set 9) improvements [Roberto Fresca, Team Europe]: [Roberto Fresca]
 * Redumped the NMC27CP128Q devices as 27C256 and found complete/perfect binaries.
 * Descrambled the program.
 * This is weird... The National NMC27CP128Q datasheet says that these devices are 16k x8 (0x4000). Also the diagram lacks of A14
    line. Surprisingly they can hold 32k x8 (0x8000) binaries. We're thinking if the ones present in the board are fake.

Machines promoted to working
----------------------------
Cherry Master I (ver.1.01, set 9) [Roberto Fresca, Team Europe]

-cp2000: put sboard interface on left side like everywhere else [hap]

New machines marked as NOT_WORKING
----------------------------------
Bingo 75 [Team Europe, Roberto Fresca]

-HP IPC: support for I/O slots and 82919 serial card added (#7001) [fulivi]
 * mc68681: tx/rx clocking from timer fixed, added partial support for break signal
 * hp_ipc: support for I/O slots added, 82919 serial I/O card added

-k054539.cpp: Allow side effects, Add imperfect_features (#6996) [cam900]
 * k054539.cpp: Allow side effects, Add imperfect_features related to unverified/unemulated effects and some registers.

-New clones marked as NOT_WORKING (#7003) [ClawGrip]

New clones marked as NOT_WORKING
--------------------------------
Cuatro en Linea (rev. A-06) [Victor Fernandez (City Game), ClawGrip]

-kl5c80a12: Emulate interrupt controller [AJR]

-pcx: some page protection bits [cracyc]

-dblewing.cpp: Added PAL dumps to the Double Wing sets. [Corrado Tomaselli]

-midvunit.cpp: Confirmed the P2 and L1 revision U2 sound code to be identical for Cruis'n USA [Keven Eshbach]

-sigmab98.cpp: Change CPU to new KC82-derived type for Sigma/Banpresto games [AJR]
 * dashhero: Add back NVRAM (and more of it) now that memory map has been corrected
 * getbass: Add KL5C80A16 I/O CPU to configuration

-cinemat.cpp: Add internal layout for Speed Freak. Clean up gearing logic. (#7010) [Aaron Giles]

-speaker.cpp: Add new option -speaker_report <n> to help devs tune volume (#6995) [Aaron Giles]
 * Add new option speaker_report to report clipping and other statistics after each session. This replaces the previous compile-time
    define and offers more detail.

-mpu4vid.cpp: Fix Prize Space Invaders switches [James Wallace]

-ckmaster,ch2001: change irq frequency [hap]

-hp_ipc_io.cpp: validation error. [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Bare Knuckle II (bootleg of Megadrive version) [Jorge Silva, Ricardo Goncalves]

New working clones
------------------
Zoo Keeper (bootleg) [Andrew Welburn]

-tecnodar.cpp: Add PCB ASCII layout [ClawGrip]

-vsmilem_cart.xml: Add notes about missing carts [ClawGrip]

-lviv: small cleanup [Robbbert]

New working clones
------------------
Cherry Master I (ver.1.01, set 10, BET stops all) [Ioannis Bampoulas, Roberto Fresca]
Cherry Master I (ver.1.01, set 11, TAKE stops all) [Ioannis Bampoulas, Roberto Fresca]

-netlist: remove test code [couriersud]

-netlist: further nl_base.h splitting into headers in core subdir. [couriersud]

-netlist.cpp: Fix a crash if an exception happened during validation. [couriersud]

-netlist: fix a bug in preprocessor if and elif parsing. [couriersud]

-netlist: Add a missing directive to the file parser. [couriersud]

-netlist: necessary changes towards runtime processing of macro directory [couriersud]

-netlist: source stream refactoring [couriersud]
 * This is an infrastructure change to enable better error reporting including file/source and line numbers in the future

-netlist: Add CD4011, CD4024, 7407 and CD4053 devices. [Aaron Giles]

-netlist: Fix 4011 implementation. [couriersud]

-netlist: Convert CD4013 DIP to macro. [Aaron Giles]

-netlist: Fix an issue during proxy hookup. [couriersud]
 * Add cd4053 to netlist.lua
 * Recreated nld_devinc.h

-mpu4vid.cpp: Added inputs to BWB games [James Wallace]
 * Added overlay for Prize Space Invaders

New machines marked as NOT_WORKING
----------------------------------
CIT-101XL Video Display Terminal [Bitsavers, Al Kossow]

-Fix SOL2 build on GCC 10.2 by working around overload resolution problem [AJR]

-misc spelling corrections. [braintro]

-nld_4053.cpp: Remove unused lambda capture [AJR]

-mdos dsk: support legacy floppy images, add XDOS support [68bit]
 * Add legacy floppy image support which is currently required for the mc6843 FDC emulator and used by the EXORset which run XDOS a
    variant of MDOS.
 * Add support for 5.25 inch XDOS floppy drive formats as used by the EXORset.
 * Make some of the identity tests more permissive to work with observer disks. The date day and month are reversed on some disks,
    and the boot rib cluster is lower.

-mc6843: add a delay reading the CRC [68bit]
 * Code using programmed I/O may read the last byte of a sector and then expect to have some time to store that to memory before
    receiving an interrupt on the completion of the command. The interrupt was occurring on the last read and the last byte was
    being lost by some drivers. This change adds a delay after reading the last byte, roughly the time needed to read the 16 bit
    CRC, before the end of a read command is processed.
 * Avoid side effects when these are disabled.

New machines marked as NOT_WORKING
----------------------------------
SNES 4 Slot arcade switcher (NBA Jam) [Jorge Silva, Ricardo Goncalves]

-starcrus: Added netlist sound. [Ryan Holtz, Colin Howell, Aaron Giles]

-interact.xml works with hector1,hec2hr,victor,hec2hrp as well. [Robbbert]

-ssystem3: added chess unit lcd svg screen [hap, Berger, Achim]

Machines promoted to working
----------------------------
Super 98 (3-hands, ICP-1) [Roberto Fresca]

-ibm5170 - New working software list additions (#7008) [ArcadeShadow]
 * Beneath a Steel Sky (Euro), Goblins Quest 3 (Germany), Jungle Strike

-gtfore.xml:  Fix invalid setname character (!) not detected on -validate sweep because the softlist is not hooked up to MAME
 currently (nw) [Scott Stone]

-vgmplay.xml: Added 25 new entries [vgmrips.net, Tafoid]

-ssystem3: update notes [hap]

-Use swapendian_int16/int32 in more devices [AJR]

-new WORKING machines (Plug Play) (#7017) [David Haywood]

new WORKING machines
--------------------
Vs Maxx 10-in-1 Casino / Senario Card & Casino Games [Sean Riddle, David Haywood]

new NOT WORKING machines
------------------------
Ordenador-TV (Spain) [ClawGrip, Sean Riddle, David Haywood]
Centro TV de Diseno Artistico [ClawGrip, Sean Riddle, David Haywood]
I'm Game! GP120 (Family Sport 120-in-1) [Sean Riddle, David Haywood]
My Wico Guitar [ClawGrip, Sean Riddle, David Haywood]
unknown VT1682 based 101-in-1 handheld (PAL) [Takashi Omoto / https://twitter.com/takashioomoto , TeamEurope, David Haywood]
Lexibook Compact Cyber Arcade - Paw Patrol [TeamEurope]

-taito_f3.cpp: Correct the memory range in the documentation statement. [braintro]

-vgmplay.xml: 238365: validation error [Robbbert]

-mpu4vid.cpp: Fixed fatalerror for v4monte and clones [James Wallace]

-Merged interact into hec2hrp as they are almost the same. [Robbbert]

-savant: add sensorboard click delay [hap]

-tankbatt: Various fixes and cleanups [AJR]
 * Correct CPU and video clocks
 * IRQ is scanline-based, not coin-triggered
 * Clean up and modernize VBLANK NMI handling
 * Add watchdog timer
 * Verify memory map and add mirrors
 * Add imperfect colors flag (color PROM usage is now known to be wrong)

-Fix redundancy in pacman-key --verify call [Julian Sikorski]
 * Appveyor VS2017 image only ships with pacman 5.1.3 as of now. In that version pacman-key --verify only takes one argument, the
    signature.

-voodoo.cpp: Disabled debug statistics popup [Ted Green]

New working clones
------------------
Jolly Card (Italian, encrypted bootleg, set 3) [Roberto Fresca, Ioannis Bampoulas]

-funworld.cpp: Minor correction [cam900]

new NOT WORKING machines
------------------------
Lexibook Compact Cyber Arcade - Cars [TeamEurope, David Haywood]
NJ Pocket 60-in-1 handheld 'X zero' (NTSC) [Takashi Omoto / https://twitter.com/takashioomoto , TeamEurope, David Haywood]

-hector: cleanup [Robbbert]

-vsmile_cart.xml: Add note about missing carts [ClawGrip]

-ssystem3: added the new lcd screen to internal artwork [hap]

-cdi.cpp:  cdimono1 and cdibios DEMOTED per developer request (nw) [Scott Stone]

-Funworld.cpp: Cleaned-up the driver. Added and corrected technical notes. [Roberto Fresca]

New working machines
--------------------
Nkoulit (Gullit) (encrypted GFX) [Ioannis Bampoulas, Roberto Fresca]

-hector: added save state [Robbbert]

-odyssey2/chess: add notes [hap]

-Jolly Joker (40bet) improvements: [Roberto Fresca]
 * Removed the 'Croatian hack' description because it's only a simple text hack for commercial purposes.
 * Splitted the second program to a new set since it's handled through a PLD, so isn't user selectable.
 * Changed descriptions to 'higher' and 'lower' paytable, since they have different ones.

New working clones
------------------
Jolly Joker (40bet, lower paytable) [Roberto Fresca]

New machines marked as NOT_WORKING
----------------------------------
CIT-101e Video Terminal [Bitsavers]

-dct11em: added devices and digital display [Robbbert]

New working machines
--------------------
Reflex Card (English, serial protected) [Roberto Fresca, Ioannis Bampoulas]

New working machines
--------------------
Reflex Cards (English, serial protected) [Roberto Fresca, Ioannis Bampoulas]

-Card"S" Plural... [Roberto Fresca]

-cit101, cit101e: Add dumps and low-level emulation of keyboard MCUs [AJR, Witchy, Bitsavers]

New NOT_WORKING software list additions
---------------------------------------
odyssey2: Home Computer Module (Euro) [unknown]

Machines promoted to working
----------------------------
Chess Challenger [Berger, Mike Watters]

-dct11em: machine is now usable [Robbbert]

-netlist: Fix CD4053 device [couriersud]
 * also fix signedness warning (clang) in CD4020

-netlist: Device refactoring [Aaron Giles]
 * Move DIPs for 82S16, 82S115, and 2102A devices into nlm_proms
 * Moved 7448 DIP to a macro. Replaced 7442 with truthtable and macro.
 * Moved 74LS629 DIP into macro.
 * Expand truthtable to handle 10 outputs.

-netlist: Fix 74ls629 implementation and some cherry-picking issues. [couriersud]

-netlist: Disable dangerous optimization. [couriersud]
 * This was an over-aggressive optimization. Now prints an info and recommends to comment out if appropriate.

-netlist: More dip macros and device refactoring [Aaron Giles]
 * Updated 7450, 7473/7473A, 7474, 7475/7477 devices to use DIP macros instead of C++ DIPs.
 * Reworked 7475/7477 more in the style of 7474, leveraging system signal activation and edge detection.

-netlist: Fix incorrect sense in warning. [Aaron Giles]

-netlist: Better implementation of CD4053. [Aaron Giles]

-netlist: Added CD4017/4022 devices. [Aaron Giles]
 * Also contains squashed clang signedness fixes

-hp9825: hp98036 serial I/O module added (#7024) [fulivi]

Software list items promoted to working
---------------------------------------
odyssey2: Chess Module (Euro) [hap]

-odyssey2: move homecomp to g7400.xml [hap]

-addrmap: remove unsupported setter, emumem enforces unmapval 0 or ~0 [hap]

-Reflex Cards: Fixed wrong default NVRAM hash. [Roberto Fresca]

New NOT_WORKING software list additions
---------------------------------------
odyssey2: Backgammon (Euro) [unknown]

-odyssey2.xml: typo [hap]

-odyssey2: mark 4in1 as not working [hap]

-Add 'fill' command to debugger. Syntax and operation are similar to 'find' command. [AJR]

-cit101e: Add ROM banking [AJR]

-apple2: add DIP switch to "The Mill" 6809 card to select between original and OS-9 memory mappings. [R. Belmont]

-apple2e: Add RGB monitor mode, including monochrome and mixed color/mono DHGR and full-color text. [R. Belmont]

-midvunit.cpp: Document Cruis'n World mask ROM format. [braintro]

-netlist: Fix 7492 and roms include bug. [couriersud]

-housekeeping fixes [Robbbert]

-netlist: Macro-ized 7483 DIP [Aaron Giles]

-netlist: Macro-ized 7485 DIP [Aaron Giles]

-netlist: Macro-ized 7490 DIP [Aaron Giles]

-netlist: Macro-ized 7492 DIP [Aaron Giles]

-netlist: Macro-ized 7493/7497 DIPs [Aaron Giles]

-netlist: Macro-ized 9310/9316/74161/74163 DIPs [Aaron Giles]

-netlist: Macro-ized 9322 DIPs. [Aaron Giles]

-netlist: Macro-ized 74107 DIPs [Aaron Giles]

-netlist: Macro-ized 74113 DIPs [Aaron Giles]

-netlist: Macro-ized 74153 DIPs [Aaron Giles]

-netlist: Macro-ized 74164 DIPs [Aaron Giles]

-netlist: Macro-ized 74165 DIPs [Aaron Giles]

-netlist: Macro-ized 74166 DIPs [Aaron Giles]

-netlist: Macro-ized 74393 DIPs [Aaron Giles]

-netlist: Macro-ized CD4006 DIPs [Aaron Giles]

-netlist: Macro-ized 74174 DIPs [Aaron Giles]

-netlist: Minor optimization to remove sqrt from inner loop. [Aaron Giles]

-netlist: Move documentation from header to cpp file. Batch 1. [couriersud]

-netlist: Move documentation from header to cpp file. Batch 2. [couriersud]

-odyssey2: make Videopac C52 a clone set(different XTAL), make g7400 a parent set [hap]

-netlist: Move documentation from header to cpp file. Batch 3. [couriersud]
 * Header files will disappear and only nld_devinc.h which is can be created by nltool will stay.
 * These commits ensure that the documentation is preserved when the header files are deleted at some point in the future

-votrtnt: small clean [Robbbert]

-dai: cleanup [Robbbert]

-tankbatt: Added netlist audio. [Ryan Holtz]

-netlist: add example documentation to SN74LS629_DIP [couriersud]

-ibm5170 - New working software list additions [ArcadeShadow]
 * Fury of the Furries (Euro), Indiana Jones and the Last Crusade - The Graphic Adventure (VGA version), Indiana Jones and the Fate
    of Atlantis - The Action Game, Mortal Kombat (Germany)

-cit101e: Display improvements (all lines show now) [AJR]

-odyssey2.xml: backgammon was already in g7400.xml, it is not a g7400 game [hap]

-odyssey2: add support for 4in1 cartridge [hap]

-mw8080bw: engine sound tone fix for 280zzzap netlist audio (#7028) [Colin Douglas Howell]

-tankbatt: Removed MACHINE_IMPERFECT_SOUND flag. [Ryan Holtz]

-i8244: fix register mirroring [hap]

-i8244: use device rom instead of lookup table for character set [Kevin Horton]

-new NOT WORKING (plug & play) (#7027) [David Haywood]

new NOT WORKING machines
------------------------
Super PC TV (Epoch) [Preservat!on Quest / Noah Bacon, Hubz]
U-Dance [Sean Riddle, David Haywood]
Moving Music (MM-TV110) [Sean Riddle, David Haywood]

-splitting up xavix a bit, preparation for better device encapsulation [David Haywood]

-i8244: fix problem with missing characters, add dot grid [hap]

New NOT_WORKING software list additions
---------------------------------------
princ.xml: Doraemon [BacoKarel, rootifera, Cupcake, Clawgrip, TeamEurope]

-snotec.xml: Gokinjo Monogatari, Tare Panda [Clawgrip, TeamEurope]

New clones marked as NOT_WORKING
--------------------------------
Middle Earth (alternate) [PinMAME]

-i8244: remove leftover from testing [hap]

-Renegade/kuniokun fixes (#7005) [Tom]
 * renegade/kuniokun fixes
 * revert 6809 soundlatch irq, improve 6502 irq timing

-i8244: don't collide grid with itself [hap]

New working machines
--------------------
Break Ball [Anonymous]

-Revert "mdos dsk: support legacy floppy images, add XDOS support" [Vas Crabb]
 * This reverts commit 8ada258ec7f74ed37945d91467e3827e2f4fbc63.
 * We are not accepting further legacy floppy formats.

-odyssey2: mcs48 already takes care of reset [hap]

-i8244: fix y cam register mask [hap]

-i8244: return 0 on write-only registers [hap]

-odyssey2/voice: add more cartridge pin passthroughs [hap]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Multiplication: Whole Numbers Steps 1-14 (cleanly cracked) [4am, Firehawke]
La Guillotine (cleanly cracked) [4am, Firehawke]
La Corrida de Toros (cleanly cracked) [4am, Firehawke]
Math Demo Disk #1: Secondary Mathematics (cleanly cracked) [4am, Firehawke]
Math Demo Disk #2: Graphing Equations and Interpreting Graphs (cleanly cracked) [4am, Firehawke]
Math Demo Disk #3: Postsecondary Mathematics (cleanly cracked) [4am, Firehawke]
Math Skills: Elementary Level (cleanly cracked) [4am, Firehawke]
Math Skills: Junior High Level (cleanly cracked) [4am, Firehawke]
Graphing is Fun: Pie and Line Graphs (cleanly cracked) [4am, Firehawke]
Addition: Fractions Steps 9-21 (cleanly cracked) [4am, Firehawke]
Subtraction: Whole Numbers Steps 1-17 (cleanly cracked) [4am, Firehawke]
Subtraction: Fractions Steps 1-11 (cleanly cracked) [4am, Firehawke]

-odyssey2: Require a cartridge [Justin Kerk]

-odyssey2/voice: small cleanup after failed attempt to fix a bug [hap]

-odyssey2: improve keyboard handling [hap]

-add simple .editorconfig [Vas Crabb]

-i8244: don't access unused registers [hap]

-gaelcof3.cpp: Add PCB ASCII layout [ClawGrip]

-arm7thmb: Fixed THUMB ROR behavior for shift values of 0 or >= 32. All tests in FuzzARM now pass. [Ryan Holtz]

-bus/spectrum/kempdisc.cpp: replace K-DOS v2.1 bad dump with good one, add KDOS 2.1 Italian translation, add "Watford SP-DOS
 Interface" (technically not working without boot disk) [Luzie, James McKey, MetalliC]

-arm7thmb.cpp this should be more accurate ROR fix [MetalliC]

-circus.cpp: Corrected ROM names for Robot Bowl. [Andrew Welburn]

-netlist: Fix build under Emscripten (#7031) [Justin Kerk]
 * netlist: Fix crash under Emscripten by disabling aligned optimizations

-netlist: Better fixes for Emscripten (#7031) [Justin Kerk]
 * Silence indentation warning in 3rdparty/ under Emscripten (#7031)

-z80ne: cleanup [Robbbert]

-bbl380: Add notes on BIOS calls [AJR]

-39in1.cpp: added preliminary decryption for rodent [Ivan Vangelista]

-Added an implementation of the BACTA Datalogging protocol used in many of the AWP drivers. The logged data is currently served to
 the error log. Hooked the BACTA logger up to the MPU4 driver to fix Datapak/Protocol games. [James Wallace]

-machines promoted to WORKING (#7033) [Sterophonick]

Machines promoted to WORKING
----------------------------
Gigatron TTL Microcomputer [Sterophonick]

-Widescreen layouts (#7018) [Firehawke]
 * Added widescreen layout options for Spy Hunter.
 * Add widescreen vertical layouts for Spy Hunter.

-silkwormb: fix last level graphics [Tom]

-Documentation update for vector options. [Aaron Giles]

-cit101, cit101_kbd: Update notes; minor keyboard tweaks [AJR]

-williams.cpp: Correct ROM names for the Sinistar sets & add documentation. [Brian Troha]

-kp69: Clean up code a bit; don't latch masked-out requests; prepare for device variant [AJR]

-netlist: Refactored pokenizer. [couriersud]
 * Separated tokenizing and reading of tokens.
 * This enables caching of parsing results on the token level.
 * Implemented caching of token stream.
 * Overall this significantly improves parsing performance (~10x)
 * Next step towards a bare-bone nltool which does not depend on macro devices.

-netlist: Add CD4013 to net_lib.cpp [couriersud]

-netlist: Added documentation for devices in nlm_ttl74xxx.cpp [Aaron Giles]
 * Documentation for all devices in nlm_ttl74xxx now is available in the doxygen documentation.

-netlist: Rename DM9312 to TTL_9312 for consistency. [Aaron Giles]

-netlist: Documentation updates for CDxxxx devices [Aaron Giles]

-netlist: Make new documentation items appear in doxygen output. [couriersud]

-netlist: add man target to netlist makefile. [couriersud]

-39in1.cpp: decrypted 4in1a, 4in1b; started working on decryption of 19in1 and 48in1 [Ivan Vangelista]

-39in1.cpp: corrected last minute clean up gone terribly wrong [Ivan Vangelista]

-cit101: Fix reverse screen mode [AJR]

-pmd85: cleanup; added sound. [Robbbert]

-fireone: Committed netlist for couriersud to have a look at. [Ryan Holtz]

-starfire: Added left/right mixer and left/right boom, but the booms don't trigger for some reason. [Ryan Holtz]

-fireone: Added L/R mixer and L/R explosions. [Ryan Holtz]

-fireone: Netlist sound now works other than the Alert trigger. [Ryan Holtz, Colin Howell, couriersud]

-netlist: Typo [Ryan Holtz]

-sa1: Fixed up compatibility comments for kirby3, pebble, smrpg [Ryan Holtz]

-williams.cpp: Correct comment, it's Decoder "PROM" [Brian Troha]

-exidy.cpp: Correct ROM labels for the Targ & Targ (Cocktail?) sets. [Andrew Welburn]

-New working clones [Brian Troha]

New working clones
------------------
Ring of Destruction: Slammasters II (Brazil 940902) [SHVB, Filipe Nascimento, The Dumping Union]

-targ: Improve PROM notes [AJR]

-guab.cpp - Hooked up BACTA datalogger, fixes coinup issues [James Wallace]

-guab.cpp - Minor cleanups [James Wallace]

-vector06: cleanup; added natural keys [Robbbert]

-spg2xx_io: Put side-effect guards around potentially volatile reads. [Ryan Holtz]

-mpu4vid tweaks - improved set identification, fixed some palette issues (#7038) [David Haywood]

-New machines marked as NOT_WORKING (#7035) [ClawGrip]

New machines marked as NOT_WORKING
----------------------------------
Hola Don Pepito [Victor Fernandez (City Game), aidneub41 (José Antonio), ClawGrip]

-Fix PIC type. [ClawGrip]

-Fix notes about song authors. [ClawGrip]

-Fix game names (as per the official song titles). [ClawGrip]

-vtech2: small clean; added savestate [Robbbert]

-39in1.cpp: hooked up dips [Ivan Vangelista]

-Separated Williams System 11 BG sound boards into the 5 functionally different types that existed, and hooked the appropriate types
 to each system 11/a/b/c driver. Switched to using a rom load region with a listed parent:sub space rather than using a
 set_romregion function within the device for all users of the s11c_bg device. Replaced the embedded bg sound and bg music board
 emulation on s11.cpp with the appropriate devices. Updated notes for the WPC Sound board. [Lord Nightmare]

-screen: add getter for pixeltime [hap]

-fix MT07552 [MetalliC]

-Fix tiny build (#7040) [Julian Sikorski]

-mcs48: fix cycles not deducted for timer irq, get rid of kaypro10 hack [hap]

-BACTA Datalogger: Moved to shared library, improved message handling [James Wallace]

new NOT_WORKING clone
---------------------
Dead or Alive (Model 2B, Revision C) [Trol]

-model2.cpp redumped Dead or Alive ic19 [Trol]

-carpolo: Fixed validation error. [Ryan Holtz]

-Minor update to notes for Williams System 11/a/b games. [Lord Nightmare]

-sgi_mips: new software list additions [Darkstar]

-vtech1: small cleanup [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Qume QVT-82 [Bitsavers]

-mikro80: fixed cass load; kristall2,radio99: fixed cassette [Robbbert]

-mcs48: burn opcode cycles before executing opcode [hap]

-mcs48: get rid of wy100 irq hack [hap]

-upd78k1/k2/k3 disassemblers: Fix branch destinations for A.n, X.n and PSW.n modes of BT(CLR) and BF(SET) [AJR]

-champbas.cpp: updated ROM labels and PCB infos for exctscc2 [Der Kommissar, caius]

-Fixed audit finding sets that you don't have when [smf] 1. A clone has a rom that hasn't been dumped but it has the same name as a
 rom in the parent that has been dumped. Partly fixes issue #6985/#6981 2. If roms are the same between parent and clone but loaded
 differently. Fixes remaining issues in #6985/#6981 & Fixes MT05556 3. If parent has all the roms in the clone & you have neither
 set but you have a device rom that is used. Fixes MT07410 [smf-]

-apple2: Added support for the CMS SCSI II Card [R. Belmont, Apple II Documentation Project]

-apple2: add new files for CMS SCSI II card [R. Belmont, Apple II Documentation Project]

-apple2: Clean up CMS SCSI II support and naming [R. Belmont]

-netlist: more header file separation [couriersud]

-Document rowsize parameter for dump command in debugger help [AJR]

-screen/update_now(): fix overwriting last pixel of previous update, fix rendering whole scanline when update was called inside
 hblank [hap]

-smc777, mikro80: removed unneeded, added usage. [Robbbert]

-netlist: fix creation of static solvers. [couriersud]

-netlist: fix line-number tracking when at end of line. [couriersud]
 * Also remove a semicolon from nlm_opamp.cpp

-Added carpolo and fireone to SUBTARGET nl. [couriersud]

-gpl16250 bootstrap tweak [DavidHaywood]

-located some missing mpu4vid parts [DavidHaywood]

-epic12.cpp: #if instead #ifdef (#7045) [cam900]

-Add and hook up a device for the D-12338-567 Williams Pin Sound '88 board, used on the Williams System 11B 'Jokerz!' pinball.
 [Lord Nightmare]

-mpu4vid.cpp: Added inputs to Big 40 Poker. [James Wallace]

-Switched Williams Pin Sound 88 board to use two device_mixer_interface outputs for its output channels, instead of having speakers
 handled internally to the device. Fixed the Pin Sound 88 /SYNC_PULSE line to connect to Jokerz' System 11B PIA@3400 CA1 instead of
 CB1, based on board pictures of the W2/W3 jumper positions. Added a note about the infamous audio hum issue on the real Jokerz!
 pinball table, and updated device comments to clarify things and fix some minor errors. [Lord Nightmare]

-ibm5170 - New working software list additions (#7048) [ArcadeShadow]

New working software list additions
-----------------------------------
ibm5170: Alone in the Dark 2 (USA), Leisure Suit Larry 1: In the Land of the Lounge Lizards (3.5", VGA release, v2.0), Leisure Suit
  Larry 1: In the Land of the Lounge Lizards (5.25", VGA release, v2.1) [ArcadeShadow]

-Add ws layouts for a ton of machines with shifters [Firehawke]
 * Add widescreen layouts for working machines: 280-ZZZAP, Buggy Boy Jr/Speed Buggy, Buggy Challenge, Change Lanes, Chase Bombers,
    Chequered Flag, Cisco Heat, Continental Circus, Destroyer, Double Axle, Enforce (Japan, Analog Controls), Final Lap, Grand
    Champion, Grand Prix Star, Laguna Racer, Namco System FL, Outrun, Pole Position, Power Drift, Rad Rally, Speed Freak, Speed
    Race, Stocker, Top Racer, Top Speed, Turbo Tag (Prototype), and WEC Le Mans 24.
 * Added widescreen layouts for non-working machines: Round-Up 5 - Super Delta Force, Spy Hunter (bootleg on Tecfri PCB), and Over
    Drive.

-icm7170: make it tick and generate interrupts [Patrick Mackinlay]

-mpu4vid.cpp - fixed descriptions [James Wallace]

-nl.lua, nl.lst: added starcrus [Ivan Vangelista]

-segattl.cpp: added PCB code for Road Race [Ivan Vangelista]

-netlist: align naming of files within the macro folder. [couriersud]
 * Use a consistent naming scheme. This is a preparational step towards improved parsing performance.

-raiden_ms.cpp: Add PCB ASCII layout, add year and promote from skeleton to MACHINE_NOT_WORKING [ClawGrip]

-midwunit.cpp hook security PICs [MetalliC]

-starfire: Removed MACHINE_IMPERFECT_SOUND flags. Added missing music and Alert sound effect to Fire One netlist and added Star Fire
 netlist. [Ryan Holtz, Colin Howell, Aaron Giles]

-olypeopl: Correct clocks; add RS232C serial port [AJR]

-midwayic.cpp RTC notes [MetalliC]

New working software list additions
-----------------------------------
t1000: MS-DOS (Version 3.30, Tandy version 3.30.22) (Tandy 1000 SL/2) [Jon Guidry, Justin Kerk]

New not working software list additions
---------------------------------------
t1000: DeskMate 3 (Tandy 1000 SL/2) [Jon Guidry, Justin Kerk]

-Fixed compilation of docs for HTML and manfiles. [Firehawke]

-Add missing file to tiny build [AJR]

-olypeopl: Specify year [AJR]

-flyball: Added netlist sound. [Ryan Holtz, Ivan Vangelista]

-cpu/nec: use anonymous namespaces to avoid ODR violations with enums [Vas Crabb]

-nl.lua: fixed NL subtarget compile [Ivan Vangelista]

-mcs48: fix possible missed timer overflow if burn_cycles is larger than 2 [hap]

-destroyr: Added netlist sound. [Ryan Holtz]

-copsnrob, flyball: Use raw parameters for screen timing [AJR]

-destroyr: Use raw parameters for screen timing; correct IRQ timing [AJR]

-add security PIC dumps for wargods, mace, blitz99, carnevil, gauntleg, gauntdl [ekorz, Caps0ff]

-redo prev using 'full' PIC dumps with ID and config word (nw) [MetalliC]

-odyssey2: add support for 16KB bankswitched roms [hap]

-untangle bus/odyssey2/rom.cpp [hap]

New machines marked as NOT_WORKING
----------------------------------
Lee Data 1220 Display Terminal [Bitsavers]

-mw8080bw: add lagunar to 280zzzap netlist audio, other tweaks [Colin Douglas Howell]
 * Added Laguna Racer to the 280-ZZZAP netlist audio driver, with conditional changes to the netlist for the circuitry differences
    between the two games.
 * Adjust some netlist components that apparently changed from the 280-ZZZAP schematic to production machines.
 * Removed the driver's private MC3340 netlist, using the equivalent one in the netlist library instead.

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Dungeon! (cleanly cracked) [4am, Firehawke]
Theseus and the Minotaur (cleanly cracked) [4am, Firehawke]
Dawn Patrol (cleanly cracked) [4am, Firehawke]
Conceptor (cleanly cracked) [4am, Firehawke]
Epyx 3-Pack (cleanly cracked) [4am, Firehawke]
Troll's Tale (Revision 2) (cleanly cracked) [4am, san, Firehawke]
Daily Computer Crosswords from The New York Times (cleanly cracked) [4am, Firehawke]
U-Boat Command (cleanly cracked) [4am, Firehawke]
MECC-A308 Rocket Factory (Version 1.0) (cleanly cracked) [4am, Firehawke]
Spanish Achievement II: Grammar (cleanly cracked) [4am, Firehawke]
Solving Word Problems 1 (cleanly cracked) [4am, Firehawke]
Solving Word Problems II (cleanly cracked) [4am, Firehawke]
Multiplication/Division Fractions: Steps 1-20 (cleanly cracked) [4am, Firehawke]
Division: Whole Numbers Steps 1-19 (cleanly cracked) [4am, Firehawke]
Percent Concepts Steps 1-5 (cleanly cracked) [4am, Firehawke]
Percent Steps 7-10 (cleanly cracked) [4am, Firehawke]
Decimals Steps 7-10 (cleanly cracked) [4am, Firehawke]

-stactics: Use raw parameters for screen timing [AJR]

-progolf.cpp: added hardware info, verified clocks [Guru]

New working software list additions
-----------------------------------
pc98: Nirvana - Zeta II (cracked) [Macaw45, Justin Kerk]

-mcs48: fix cond jump address if argument fetch was at 0x7ff or 0xfff [hap]

-new NOT WORKING machines (#7049) [David Haywood]

new NOT WORKING machines
------------------------
PCP 8728 - 788 in 1 [David Shah]
unknown unSP based handheld [unknown]

new NOT WORKING machines
------------------------
Virtual Ping Pong (Protocol) [Sean Riddle, David Haywood]
My Arcade Gamer Mini 160-in-1 (DGUN-2953) [Sean Riddle, David Haywood]

-odyssey2: add preliminary Videopac+ C7420 Home Computer Module emulation [hap]

-Fix clang error: private field 'm_ioctrl' is not used [-Werror,-Wunused-private-field]

-unk6502_st2xxx.cpp: More BIOS notes [AJR]

-z8: fixed bug in decimal adjust. Fixes PRINT 654 in bert. [Robbbert]

-i8244: fix problem with zoomed sprites, update sound/video at tighter intervals [hap]

-drdmania.cpp: Add missing PROM [Juan Romero, ClawGrip]

-shine: added sound [Robbbert]

-Define IMGUI_DISABLE_OBSOLETE_FUNCTIONS consistently [Julian Sikorski]
 * IMGUI_DISABLE_OBSOLETE_FUNCTIONS was defined in osd/modules.lua but not in 3rdparty.lua. As a result, two different variants of
    struct ImGuiIO were being defined, causing a C++ One Definition Rule violation

-Fix non-x86 build and try to make sure it does not break silently again (#7041) [Julian Sikorski]
 * Do not build x64 DRC backend when C backend is forced
 * New CI target (mametiny + kinst)
 * Switch travis to CI target
 * Switch appveyor to CI target

-cischeat.cpp, progolf.cpp: updated hardware notes [Guru]

-Fix ci build [Julian Sikorski]

-netlist: improve parsing performance [couriersud]
 * preparational work for easier device addition.

-netlist: more include untangling. [couriersud]
 * nl_base.h now basically only includes files from core.
 * all headers in core compile on their own.

New working clones
------------------
Oriental Legend / Xiyou Shi E Chuan (ver. 105, Taiwanese Board) [GC8TECH.COM, Team FBNeo]
Zhongguo Long II (ver. 101C, China) [GC8TECH.COM, Team FBNeo]
Knights of Valour 2 Plus - Nine Dragons / Sanguo Zhan Ji 2 Qunxiong Zhengba / Sanguo Zhan Ji 2 Feilong Zai Tian / Sangoku Senki
  Busyou Souha (ver. M203XX, 200, 100CN) [GC8TECH.COM, Team FBNeo]
Zhongguo Long Pretty Chance [Dragon World Pretty Chance] (V110 03/19/02 11:13:16, China) [GC8TECH.COM, Team FBNeo]
Puzzle Star / Mohuan Xingzuo (ver. 100MG, 09/30/99 build) [GC8TECH.COM, Team FBNeo]
Oriental Legend 2 (Korea) / Xiyou Shi E Chuan Qunmoluanwu (World, China, Japan, Hong Kong, Taiwan) (ver. 203) [Oriental Ex]
  [GC8TECH.COM, Team FBNeo]

-netlist: commit missing files in last commit. [couriersud]

-odyssey2/homecomp: add cassette i/o [hap]

-odyssey2: add g7400 keyboard [hap]

-Add an overload to input_to_stream_input in disound.cpp, fixes the input_gain and set_input_gain functions being unusable on
 device_mixer_interface type. [Lord Nightmare]

-z180: Updates [AJR]
 * Correct FRC counting rate and direction
 * Run programmable reload timer off FRC
 * Emulate a subtle difference from Z80 behavior in fetching opcode after DD CB or FD CB

-New NOT_WORKING software list additions (#7060) [ClawGrip]

New NOT_WORKING software list additions
---------------------------------------
picno: [ClawGrip]
Dokkin Shinri Game, Paint Ehon: Cinderella Monogatari, Hello Kitty no Eikawa [TeamEurope]

-Revert "Add an overload to input_to_stream_input in disound.cpp, fixes the input_gain and set_input_gain functions being unusable
 on device_mixer_interface type. [Lord Nightmare]" [Lord-Nightmare]
 * This reverts commit 03f3e1ff42f4171d7ef8f484b5b4843183e95a17.

-4dpi: add another firmware version [Tanner Collins, Tom Miller]
 * 4D/20 firmware revision 3.1a added
 * gr1 fix enables all 4D/20 and 4D/25 firmware to pass power-on diagnostics
 * added layout for diagnostic led display

-odyssey2.xml: sort list [hap]

-g7400.xml: sort list, rename conflicts with odyssey2.xml [hap]

New working software list additions
-----------------------------------
odyssey2: Red Baron (Euro, Prototype, Alt), Route 66 [unknown]

-altos486: added prom [Robbbert]

-odyssey2: avoid tabs in port names [hap]

-mame/layout/brkball.lay: greatly simplified layout [Vas Crabb]

-shine: removed duplicate cassette definition, added notes. [Robbbert]

-ef9340: bgcolor is remembered for alphanumeric chars [hap]

-odyssey2: more PORT_CHAR for g7400 keys [hap]

-ef9340: add keyboard cursor [hap]

-new WORKING software list additions (#7065) [Sterophonick]
 * fm7_cass: Inoue's Dragon Slayer [Samuel Messner]

-seta.cpp: Add notes for madshark title (#7051) [cam900]

-pc98.xml: softlist updates, part 7 (F) (#7057) [r09]
 * pc98.xml: softlist updates, part 7 (F)
   - Added new software items from the Neo Kobe Collection (working):
   - F-15 Strike Eagle F29 Retaliator (1992-10-10) Farland Story - Kamigami no Isan Farland Story - Juuou no Akashi Farland Story -
      Juuou no Akashi (cracked) Fermion - Mirai kara no Houmonsha Figure - Ubawareta Houkago Figure - Ubawareta Houkago (Alt) Finish
      Hold Finish Hold Hissatsuwaza Zukan Finish Hold 2 - Tag Fantasy Knight Fukkokuban First Queen First Queen (Alt) First Queen
      III FlixMix Floppy Bunko 09 - Bishoujo Graphic Data Shuu Vol. 04 FontWave Four Flush Frontier Frontier (cracked) Foresight
      Dolly Fuurin Kazan Fuzoroi no Lemon
   - Added new software items from the Neo Kobe Collection (not working):
   - Fairie's Residence Farce - Yuuwaku Hakusho Finish Hold (cracked) Finish Hold 2 - Tag (cracked)
   - Replaced these software items which were incomplete or modified (with save data, etc):
   - F-14 Fleet Defender Fantasy Knight Feti
   - Renamed the Frontier Universe shortname to "frontunv" to avoid confusion with the newly-added Frontier
   - Re-tested software entries with current MAME
   - Relabeled disks with their actual names
   - Added usage notes for software that needs DOS
   - Removed duplicate images where the only differences are in the saved game data or the image format
   - Reordered some disks so they are auto-mounted in a more logical way
   - Some minor title / spelling fixes

-Revert "seta.cpp: Add notes for madshark title (#7051)" (#7070) [Angelo Salese]
 * This reverts commit 4b97bf3b9ad88233cf3cdc7eb6fca594f8304afe.

-odyssey2: improve 824x/ef934x layer mixing [hap]

-seta.cpp: Improve madshark DIP switch description. [cam900]
 * The DIP switch doesn't change any regional licensing warnings or messages, all it does is change select between English and
    traditional Chinese title.  It's better to explicitly document what the switch does.

-seta.cpp: correct madshark DIP switch settings [Vas Crabb]

New working clones
------------------
Tougenkyou - Road of the Sword (M68k label V100) (ARM label V101, ROM 03/13/03 SHEN JIAN) (Japan, JAMMA PCB)
  [GC8TECH.COM, Team FBNeo]
Shan Liang San He Yi (Flash 3-in-1) (V102 08/23/04 13:03:26) [GC8TECH.COM, Team FBNeo]

-leland.cpp: Fill in some missing ROM labels for Alley Master. [Brian Troha]

-segas16a.cpp: Document some Sega game ID numbers for Quartet 2 [Brian Troha]

-Clean up command-line -h output, tidy up emulator_info class a little, add trim trailing whitespace to .editorconfig [Vas Crabb]

-Properly fix confsettings for Mad Shark [Angelo Salese, hap, DopefishJustin]

-seta.cpp: we do not transliterate Chinese titles as Japanese [Vas Crabb]

-odyssey2: disable logging [hap]

-Let's please IDEs (nw) [Angelo Salese]

-x1.cpp: improve video documentation and make some QA (nw) [Angelo Salese]

-odyssey2: add notes [hap]

-i8244: add external collision detection [hap]

-midvunit.cpp: crusnwld uses newer type PIC midwayic.cpp: remove few unneeded HLE hacks, add debugger access guards [MetalliC]

-blktiger_ms.cpp: decrypted main CPU ROMs brkball.lay: removed superfluous lines [Ivan Vangelista]

new WORKING Software List Entry (#7068)
---------------------------------------
gamate.xml: Incantational Couple [Peter Wilhelmsen, David Haywood, Morten Kirkegaard]

-vigilantbl: add pal + proms [TwistedTom]

-Fix a typo in TNZS driver [Rolel 42]
 * Replaced "datails" by "details".

-ef9340: move read commands to readhandler and add slice mode [hap]

-gameking: Add preliminary sound emulation using external DAC device [AJR]

-Some Ap2000 fixes  and  UPD7810 analog fixes (#7075) [goldnchild]
 * Upd7810 analog conversion fixes (conversion registers, scan mode)
 * Epson Ap2000 fixes for controls (remap controls to keypad)

-cchip: Fix analog input values [AJR]

-apple cassettes: sound added, notes updated. [Robbbert]

New working software list additions (apple2_flop_misc.xml)
----------------------------------------------------------
Anti-M (version 1.7) [4am, qkumba, Firehawke]

-a2600,apogee: updated notes [Robbbert]

-c128.cpp:  Corrected software lists associated with the machine which had a reference to a non-existent file. [Scott Stone]

Software list items promoted to working
---------------------------------------
g7400: [hap]
Air Battle (Euro, Plus), Basket Bowling+ (Fra, Plus), Tenpin Bowling/Basketball (Euro, Plus, Prototype), [hap]
Billard+ (Fra, Plus), Billiard (Euro, Plus, Prototype), Clay Pigeon (Euro, Plus, Prototype), [hap]
Cosmic Conflict (Euro, Plus), Demon Attack+ (Fra, Plus), Exojet+ (Fra, Plus), Flipper+ (Fra, Plus), [hap]
Flipper+ (Fra, Plus, Alt?), Freedom Fighters (Euro, Plus), Combattants de la Liberté (Fra, Plus), [hap]
Killer Bees (Euro, Plus), La Ruche Infernale (Fra, Plus), Le Tresor Englouti (Fra, Plus), [hap]
Loony Balloon (Euro, Plus), Neutron Star (Euro, Plus), Nightmare (Euro, Plus), Pickaxe Pete (Euro, Plus), [hap]
Race/Spin-out/Cryptogram (Euro, Plus), Grand Prix+ (Fra, Plus), Satellite Attack (Euro, Plus), [hap]
Stone Sling (Euro, Plus), Terrahawks (Euro, Plus), Flashpoint (USA, Prototype, PAL Conversion), [hap]
Helicopter Rescue (Euro), Home Computer Module (Euro), Moto-Crash (Fra), Norseman (Euro), Trans American Rally (Euro) [hap]

New clones marked as NOT_WORKING
--------------------------------
Baywatch (2.01 French) [PinMAME]

New working clones
------------------
Sector Zone (set 2, Tecfri hardware) [Juan Romero, ClawGrip, David Haywood, Recreativas.org]

-netlist: untangle sound and cpu devices. [couriersud]
 * member variables are now where they belong.
 * Avoid over/underclocking of netlist sound devices.

-mame/audio/cage.cpp: added one missing variable to state saving, should address MT07724 [Ivan Vangelista]

-upd7810: Fix semantics of SKIT NMI and SKNIT NMI; simplify analog input code [AJR]

-netlist: make streams accept logic parameters as well. [couriersud]

-netlist: Add THRESH parameter to AFUNC [Aaron Giles]

-netlist: machine.time() rules. [couriersud]
 * avoid overshooting sound devices, i.e. advancing past machine.time().
 * removed 2us adjustment in sound_stream_update.

-netlist: improve two error messages. [couriersud]
 * Provide more detail and rephrase to make them more clear.

-midxunit.cpp revx issue notes, marked revx and invasnab PIC "dumps" as BAD [MetalliC]

-pgm.cpp: overhauled ROM labels according to PCB pics [JacKc, GC8TECH.COM]

-Ap2000 fixes to get it to start up properly;  Also adding green ready led indicator to printhead box to see status. (#7079)
 [goldnchild]
 * ap2000: Fixes to get it to start up properly
   - Proper initialization NMI delay
   - Make printhead display ready status

-netlist: Fix elif processing. [couriersud]

-netlist: Remove printf debugging. [couriersud]
 * also raises error if during parsing a local source is not found.

-gkigt.cpp: add major authors to copyright notice [R. Belmont]

-netlist: buffered_param_setter refactoring [couriersud]
 * Each parameter to set now has a dedicated buffered_param_setter device.
 * This allows different sample times per device
 * Updated netlist.cpp for new approach
 * buffered_param_setter is a template. The template parameter is a class which is expected to support the [] operator. The value
    passed to [] operator is the requested sample number.

-netlist: Fix compile - sorry. [couriersud]

-apple2: start modernizing card rom handling [R. Belmont]

-bus/centronics/epson_lx801l.cpp: cleaned up indentation, got rid of some preprocessor macros leaking from the header [Vas Crabb]

-clean up #include stuff, make trampoline constructors protected, restore blank lines between paragraphs in seicross.cpp comment
 [Vas Crabb]

-exidy.cpp: Corrected ROM labels for Venture (version 5 set 2) and verified vel_11d-2.11d [Andrew Welburn]

-williams.cpp: Correct ROM label typo in Sinistar Rev 3. [Brian Troha]

-seicross.cpp: made friskytb use an M6802 [Ivan Vangelista]

New working software list additions
-----------------------------------
ibm5170: Rise of the Dragon (5.25") [TGOD, Justin Kerk]

-n64.xml: Add some carts PCBs metadata [ClawGrip]

-bus/bbc/fdc: Added the Kenda Professional DMFS and Microware/UDM DDFS boards. [Nigel Barnes]

-acorn_dsk: Added support for Kenda formatted SSD images. [Nigel Barnes]

-bbc.cpp: Reset devices before CPU reset is cleared on BREAK. [Nigel Barnes]

-sgi_mips: new software list additions [Davide Cavalca]

-MT 07729 [AJR]

-atarittl: Added netlist for Tank. currently runs at about 0.005% of full speed, unsure why. [Ryan Holtz]

-atom: cleanup [Robbbert]

-netlist: Regenerated static solvers, and fixed errors preventing static solvers from generating. [Ryan Holtz]

-ef9340: add character blink/underline modes [hap]

-apple2: added HAL Labs Gizmo digital joystick adapter [R. Belmont, Golden Child]

-ef9340: internal chr rom was bitswapped, also mark it bad dump [hap]

-netlist: increase queue sizes to accomodate nl_tank complexity. [couriersud]

-netlist: Add tank to nl subtarget, update static_solvers. [couriersud]

-Share the memory maps for the System 11/A/B/C mainboard maincpu and audiocpu between the s11, s11a, s11b, s11c drivers to remove
 redundant identical copies in each driver. Made the MC1408 dac a member device of the s11 main class to get rid of some init-time
 tag lookups and prepare for future enhancements. Put the initialization order of devices in the sound-board specific machine
 configs in a more sane order. [Lord Nightmare]

-Change status of Oregon Trail (Version 1.1) (cleanly cracked) to unworking. [Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
MECC-A157 Oregon Trail (Version 1.4) (cleanly cracked) [LoGo, Firehawke]

-sspeedr: new netlist audio implementation (#7081) [Colin Douglas Howell]
 * sspeedr: new netlist audio implementation
 * Netlist-based audio implementation for sspeedr (Super Speed Race, 1979) derived from Midway audio schematics, and based on that
    used for 280zzzap (280-ZZZAP) and lagunar (Laguna Racer) in the mw8080bw driver. The Super Speed Race audio circuits are clearly
    derived from those games; the biggest difference is the use of a linear feedback shift register for noise generation.
 * Updated netlist static solvers with recent netlist changes.

-n64.xml: Fix validation errors (#7088) [ClawGrip]

-vgmplay.xml:  Added 15 new entries [vgmrips.net, Tafoid]

-vgmplay.xml:  Fixed a good number of entries for correct shortnames, increased description info and filled in "no_data" fields.
 [Tafoid]

-video/mc6845.cpp: Copying some switch statements doesn't constitute copyrightable creative work (thanks Nigel Barnes for pointing
 this out) [Vas Crabb]

-nld_9321: Fixed Enable input, it should be inverted. [Ryan Holtz]

-tank: Commented out CPU-choking motor sound for now. Fixed a transcription error. At least partially fixed screen parameters.
 [Ryan Holtz]

-netlist: Properly fixed 74165 implementation. Fixed MK28000 address latching. [Ryan Holtz]

-tank: Attempted to hook up proper timing params, doesn't seem to work. [Ryan Holtz]

-Clean up clang options now that clang 5 is a hard requirement, and suppress xor-used-as-pow warning introduced in clang 10
 [Vas Crabb]

-hiscore.dat: updates [Leezer]

-btiger.cpp, gameking.cpp, hng64.cpp, segas16a.cpp: very minor spelling fixes [Ivan Vangelista]

-sspeedr.cpp: added save state support [Ivan Vangelista]

-blktiger_ms.cpp: flagged as MACHINE_IS_SKELETON [Ivan Vangelista]

-thunderx.cpp: added ROM locations for scontra and documented hashes for ROMs of same contents but different sizes found on some
 PCBs [Guru]

New working clones
------------------
Huanle Liuhe Yi (Happy 6-in-1) (M68K ver. V100, ARM ver. V100CN) [GC8TECH.COM, Team FBNeo]

-pgm.cpp: standardized set names [JacKc]

-ef9340: add support for double width/height characters [hap]

-hd6345: Added all registers and implemented screen split. [Nigel Barnes]

New working software list additions
-----------------------------------
bbc_rom: [Nigel Barnes]
Kenda Professional DMFS with PADS 1.02, Master ROM 1.04, Supervisor 2 - DFS, Supervisor 3 - Floppy, Supervisor 3 - Winchester
  [Nigel Barnes]
UDM DDFS 0.98 [Paul Klintworth]
UDM DDFS 3.10 [Steve Williams]

New NOT_WORKING software list additions
---------------------------------------
bbc_rom: Terminal for Rank-Cintel/BBC Slide File, VideoROM: Videodisc Player Control Software [Nigel Barnes]

New working clones
------------------
Sector Zone (set 3) [Real, f205v]

New working software list additions
-----------------------------------
odyssey2: Power Lords (Euro, Prototype), Spider-Man (Euro, Prototype, Alt) [unknown]
g7400: Clay Pigeon (Euro, Plus, Prototype, Alt) [unknown]

New working clones
------------------
Adders and Ladders (v2.1d) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Strike it Lucky (v0.5, Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Strike it Lucky (v0.53, Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
The Mating Game (v0.4, Datapak) (MPU4 Video)  [Ryan Holtz, James Wallace, David Haywood]
Barquest (v2.6d) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood]
Prize Space Invaders (BWB INV1, 50p/30p Play, Version 1.2) (Datapak) (MPU4 Video)
  [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Blox (SJM BLOX, 50p/20p Play, Version 2.0) (Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Prize Tetris (BWB) (Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Prize Tetris (BWB) (Showcase) (Datapak) (MPU4 Video) [Ryan Holtz, James Wallace, David Haywood, Angelo Salese]
Monopoly (JPM) (Version 4H, Protocol) [Philip Bennett, James Wallace, David Haywood]
Monopoly (JPM) (Version 4) [Philip Bennett, James Wallace, David Haywood]
Monopoly (JPM) (Version 3) [Philip Bennett, James Wallace, David Haywood]
Monopoly Classic (JPM) (Version 5, Protocol) [Philip Bennett, James Wallace, David Haywood]
Monopoly Deluxe (JPM) (Version 6, Protocol) [Philip Bennett, James Wallace, David Haywood]

new not working clones
----------------------
Monopoly Deluxe (JPM) (Version 1) [Philip Bennett, James Wallace, David Haywood]

-BACTA datalogger: Rewrote to improve logging and internal data handling. [James Wallace]

-netlist: dead code removal. [couriersud]
 * moved dead code into examples/lostfound.cpp
 * This work didn't improve performance but still may serve as examples for complex truth table implementations.

-netlist: fix some pedantic clang warnings. [couriersud]

-fixedfreq.cpp: Improve handling of interlaced video [couriersud]
 * will now detect half lines before vsync and determine field.

-tank: fix video parameters [couriersud]

-kc82: Log MMU changes [AJR]

-archimedes.xml: minor validations (nw) [angelosa]

-cit101_kbd: Use alternate key names when AZERTY layout is selected [AJR]

-cit101_kbd: Fix editing error in 2fa849f25aafba9c1c5ac2dfb9fe933888c0270e [AJR]

-tank: Assorted fixes and changes. For some reason, GNE (H4.6) never goes low at the start of the game. [Ryan Holtz]

-bus/electron/cart/sndexp.cpp: Fixed banking of 8K RAM, command *LRAM now works. [Nigel Barnes]

New working software list additions
-----------------------------------
electron_cart: Sound Expansion 2.0 [MarkH]

New NOT_WORKING software list additions
---------------------------------------
electron_cart: UPURS 1.0E [Martin Barr]

New NOT_WORKING software list additions
---------------------------------------
bbcm_cart: MasterPieCe 1.10, Prisma-3 1.30, Prisma-3 2.30 [Ian Bradbury]

-bbc_ramdisc: Fix passthrough interrupt lines. [Nigel Barnes]

Machines promoted to WORKING
----------------------------
CIT-101 Video Terminal [AJR]
CIT-101e Video Terminal [AJR]

-machine/ncr5380n.cpp: Use explicitly sized storage type for enum registered for save state [Vas Crabb]

-midxunit.cpp issue note update, cleanup security chip access [MetalliC]

-adam: fixed some bugs with quickloader [Robbbert]
 * display name instead of pointer
 * fixed 1-byte buffer overflow
 * fixed basic program corrupting itself when run
 * fixed autostart of machine-language programs

-hp9k3xx: add hp9k3xx_cdrom and hp9k3xx_hdd software lists (#7094) [Davide Cavalca]
 * New working software list additions:
   - HP-UX Release 9.10 for Series 300/400 (CD-ROM)
   - HP-UX 9.1 Y2K Patches
   - HP-UX Application Software
   - HP-UX 9.10 Programming Language Tools
   - HP LaserROM HP-UX Release 9.0
   - HP-UX Release 9.10 for Series 300/400 (hard disk)

-microtch.cpp: Add BIOS 2.2 [Victor Fernandez (City Game), ClawGrip] (#7097) [ClawGrip]

-New working clones (#7096) [ClawGrip]

New working clones
------------------
Mighty! Pang (Asia 001010) [parramon]

-ibm5150 - New working software list additions (#7089) [ArcadeShadow]
 * Added: Prince of Persia (3.5", v1.1), Wolfpack (USA) Renamed [ppersia35a]: Prince of Persia (3.5", v1.1) --> Prince of Persia
    (3.5", v1.1, Hit Squad release)

-ibm5170 - New working software list additions (#7084) [ArcadeShadow]
 * Battle Chess 4000, UFO - Enemy Unknown (Euro), X-COM - UFO Defense (USA)

-New working clones  (#7083) [ClawGrip]

New working clones
------------------
Mr. Do! (bootleg) [Juan Romero, ClawGrip]

-vsmile: Simple controller LED visualization support (#7080) [Simon Eriksson]

-hp9k3xx_cdrom: line 76: validation error [Robbbert]

-odyssey2: add cartridge B pin [hap]

-Massive cleanup of metadata on Apple software lists. [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Sorcerer of Claymorgue Castle (Version 2.2/122) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Opposites v01.30.87 (cleanly cracked) [4am, Firehawke]
MECC-A746 English Volume 1: Parts of Speech (Version 1.5) (cleanly cracked) [4am, Firehawke]
Reading Comprehension: Main Idea and Details (cleanly cracked) [4am, Firehawke]
Scoring Higher: Mathematics A, Grade Level 3 (cleanly cracked) [4am, Firehawke]
Verbs 2 (Version 08.31.86) (cleanly cracked) [4am, Firehawke]
Kaves of Karkhan (Revision 2) (cleanly cracked) [4am, Firehawke]
The Spanish Hangman (cleanly cracked) [4am, Firehawke]
Scoring Higher: Verbal Grade Level 3 (cleanly cracked) [4am, Firehawke]
The Sorcerer of Claymorgue Castle (Version 2.2/122) (cleanly cracked) [4am, Firehawke]
French Achievement III (Version 1.0) (cleanly cracked) [4am, Firehawke]

-bmjr: cleanup; fixed cassette; added savestate [Robbbert]

-bmjr: adjusted the notes [Robbbert]

-nmk16.cpp: Fix DMA timing related regression ex:hachamf ttle [cam900]

-cps2.cpp: use ROM_LOAD_64_BYTE macro where appropriate [Vas Crabb]

-atom: fixed capslock freeze [Robbbert]

-ibm5150,pasopia,pc8801: hooked up cassette software lists [Robbbert]

-dpb7000: Improved disk controller emulation, somewhat improved brush loading. [Happy, Ryan Holtz]

-vtech2: added one waitstate to resolve MT 07094 and MT 07141. [Robbbert]

-Filesize fix for microtouch_5604340_rev_2.2.u1 (nw) [Scott Stone]

-ibmpcjr: added ability to cassette save from rom basic. [Robbbert]

-flt cleanup [Robbbert]

New working software list additions
-----------------------------------
odyssey2: Martian Threat (Euro, Prototype, Alt) [unknown]

-screen: fix possible issue if update_now and update_partial are both called from driver [hap]

-photoply.cpp: Add notes about BIOS versions (#7100) [ClawGrip]

-replaced pcp8718 dump with correct one [Sean Riddle] (#7098) [David Haywood]
 * replaced pcp8718 dump with correct one [Sean Riddle]

-m72.cpp: Redumped and verified the i8751 MCU for Legend of Hero Tonma (World) [Hammy, TeamEurope]

-odyssey2.xml: remove unidentified compat tag [hap]

-BACTA Datalogger: fixed regressions [James Wallace]

-TMS340X0 updates [AJR]
 * tms34020: Upgrade data bus to 32 bits and add preliminary masking for 16-bit operations
 * tms34010, tms34020: Eliminate pure 8-bit read/write bus accesses (these are always read-modify-write, even if aligned)
 * btoads, midxunit: Use 8-bit handlers for NVRAM, reducing size to 8192 bytes
 * midwunit, midxunit: Eliminate dependencies on midtunit driver

-bus/electron: Added the JAFA Mode 7 Display Unit. [Nigel Barnes]

-Fix MAME error: install_read_handler: In range 80800000-80800007 mask 0 mirror 0 select 0, end address has low bits unset, did you
 mean 8080001f ? [AJR]

-New machines marked as NOT_WORKING (#7104) [ClawGrip]

New clones marked as NOT_WORKING
--------------------------------
Photo Play 1999 (Spanish) [jordigahan, ArcadeHacker, ClawGrip, Recreativas.org]

-dpb7000: Fixed disk loading of brushes. Fixed stepped brush accesses via BIXOS and BIYOS. [Lord Nightmare, Happy, Ryan Holtz]

-vp101: Fleshed out inputs, fixed sound POST hanging, found framebuffer base address register. [Ryan Holtz]

-Sound and other improvements to Sega G-80 games. (#7103) [Aaron Giles]
 * Sound and other improvements to Sega G-80 games: [Aaron Giles, couriersud]
   - Added netlist-based sound to Eliminator, Zektor, Space Fury, and Astro Blaster.
   - Split the Sega Universal Sound Board and Speech Boards into their own separate files.
   - Improved Universal Sound Board implementation for better accuracy in Star Trek and Tac/Scan.
   - Wrote netlist-based backend for Universal Sound Board; currently disabled due to limitations in the system.
   - Wrote netlist-based backend for Speech Board; currently disabled pending future sound system changes.
   - Implemented wait states and the vector DRAW flag to help improve timing.
   - SP0250 Improvements: [Aaron Giles]
   - Matched clock divider to real chip measurements.
   - Fixed behavior when not fed enough data; addresses "gapping" in speech in Sega games.
   - Implemented accurate LFR noise generator according to real chip measurements.
   - Added pulse-width modulation DAC output mode for future consumption by netlist.
   - Netlist additions: [Aaron Giles]
   - Added compile-time option to record nltool-compatible CSV files.
   - Improved CD4020 implementation.
   - Fixed CD4053 behavior.
   - Added 74139 device.
   - Added TL082 device.
   - 8253 PIT changes: [Aaron Giles]
   - Added explicit synchronization to all writes.
   - Cleaned up some timing calculations to avoid double<->attotime conversions.

-Updated static solvers. [Aaron Giles]

-midxunit.cpp regression fix [MetalliC]

-odyssey2.xml: add file index for numbered videopac carts [hap]

-odyssey2: remove unused port handlers [hap]

New working software list additions
-----------------------------------
electron_rom: Mode 7 Simulator v1.5 [Nigel Barnes]

New NOT_WORKING software list additions
---------------------------------------
electron_rom: GoMMC Tools 1.03, Mode 7 Mk2 v1.1, Mode 7 Mk2 v2.2 [Nigel Barnes]

-palloc: use posix_memalign with android [Tiago Pierezan Camargo]

-seta001.cpp: fix typo (nw) [Angelo Salese]

-netlist: optimized 7416 [couriersud]

-Pass FORCE_C_DRC_BACKEND=1 on ppc architectures [Julian Sikorski]
 * PowerPC architecture is special in a way that it has some inline assembly code but no DRC support. As a result, NOASM=1 was never
    configured. In contrast to the old DRC, asmjit only compiles on the architectures it supports. FORCE_C_DRC_BACKEND=1 needs to be
    passed to the makefile or the compilation will fail.

-netlist: Add AN6551 opamp [couriersud]

-crude FIFO for pcp8718 / pcp8728, they now copy a block which attempts to checksum the internal ROM (#7108) [David Haywood]
 * SPI needs to be byte accessible
 * crude FIFO for pcp8718 / pcp8728, they now copy a block which attempts to checksum the internal ROM
 * note

new NOT_WORKING machine
-----------------------
Sega Golf Club Network Pro Tour 2005 (Rev C) (GDX-0010C) [Jorge Valero, rtw]

-atronic.cpp: Fix address mapping issue [AJR]

-pit8253: Fix cycles computation error due to using floating-point. [Aaron Giles]

-Switch Midway MCR-68k hardware to use the s11c_bg implementation of the Williams System 11 BG sound board instead of the older
 implementation. [Lord Nightmare]

-metalmx: Probably fix regression [AJR]

-Clean up the preprocessor glue for selecting RGB utility implementation a little [Vas Crabb]

-m72.cpp: Add, fix and standardize comments about sets [Brian Troha]

-New working software list additions [smf-]

-kaypro484: CP/M 2.2F (81-292-A) [Scott G Taylor] kaypro484: CP/M 2.2G (81-292-A) [Don Maslin]

-fixed copy/paste (nw) [smf-]

-fix compile (nw) [smf-]

-docs: update for changes in MSYS2 packages, fix a typo, add note about using LLVM linker with GCC [Vas Crabb]

-Fixed typo noticed by MASH. [Robbbert]

-emu/video: check macros are defined before doing comparisons, also fix a typo in docs [Vas Crabb]

-metalmx.h: Add file mistakenly omitted in baa872748d5f4c26d018e545297009345612ceb3 [AJR]

-apple3: add SOSHDBoot as the default BIOS; system can now boot from CFFA2 in addition to floppies. [R. Belmont, Rob Justice]

New working clones
------------------
Mephisto Polgar (v1.10) [Berger]

-apple3: Allow use of the CMS SCSI II Card, which works with SOSHDBoot. [R. Belmont]

-m72.cpp: Correct Cut-n-paste statements to reflect corresponding ROM [Brian Troha]

-sp0250: count one more for pitch; update comments. [Aaron Giles]

-midxunit.cpp bad PIC16 dump was manually restored, hooked to driver [MetalliC]

-midxunit.cpp small cleanup [MetalliC]

-i8244: simplify pos strobe hold [hap]

-Enable ppc64le for travis (#7113) [Julian Sikorski]
 * Added akkaarrh to the ci target.
 * Switched Travis CI to Ubuntu Focal.
 * Allow ppc64le CI build to fail.
 * Report CI status as soon as a job has failed or remaining jobs are allowed to fail.

-m92.cpp: Correct ROM labels for the Undercover Cops World & US sets. [Brian Troha]

-sp0250: Further verification from real hardware. [Aaron Giles]

-push pcp8718 / pcp8728 foward, fix some unsp20 bit opcode bugs [David Haywood] (#7109) [David Haywood]

-Cleaned up save/load state menu code. [Vas Crabb]
 * Fixed display names for states saved with keyboard keys
 * Wait for at least one frame with no keys pressed before saving/loading.

-hp9k3xx_cdrom.xml:  XML format fix (nw) [Scott Stone]

-abc80: Added a note regarding the slow floppy controller copy protection feature. [Curt Coder]

-z80dma: Added IEO callback. [Curt Coder]

-nscsi: Implemented REZERO command. [Curt Coder]

-nscsi_s1410: Fixed format unit command and data input. [Curt Coder]

-abc1600: Implemented Luxor 4105 SASI card according to schematics. [Curt Coder, Dataindustrier AB DIAB Intressegrupp]

-splash.cpp: decrypted ringball. Currently stuck at initialization / test mode. [Ivan Vangelista]

-netlist: Fix some pedantic clang warnings. [couriersud]

-netlist: Fix some documentation issues. [couriersud]

-netlist: Add NETLIB_DELEGATE_NOOP() [couriersud]
 * This should be used for inputs which do not need a handler.
 * Examples are data inputs which are only accessed on a clock change.

-netlist: fix clang build. [couriersud]

-karnov.cpp: Correct ROM labels for the Karnov sets. [Brian Troha]

-i8244: reduce partial screen update calls [hap]

-gnat10: Add lots of stubs and notes for later [AJR]

-electron_sndexp3: ROM is mapped to bank 13. [Nigel Barnes]

-electron_romboxp: Empty ROM sockets contain RAM by default. [Nigel Barnes]

-odyssey2: different video xtal for jopac [hap]

-karnov.cpp: Use OCS to derive clock speeds. [Brian Troha]

-netlist: remove duplicate device definitions. [couriersud]

-netlist: use macro dips for 74175, 74192, 74193, 74194, 74365. [couriersud]

-chdman.cpp: GCC 9.3 is actually the cutoff point for legacy MSVC-style long long format flags. [Vas Crabb]

-vgmplay.xml updates [Scott Stone]
 * Added proper dates to nearly all ?? YEAR fields.
 * Fixed dozens of short names to better match MAME's softlist metadata.
 * Enhanced some descriptions for many Sega titles - properly denoting the actual console when possible.

-formats: Removed some inappropriate uses of emu_fatalerror and stderr. [Vas Crabb]

-makefile: Make cleansrc target use shell type to select correct syntax rather than assuming Windows uses cmd shell. [Vas Crabb]

-srcclean for 0.224 [Vas Crabb]

-Metadata corrections: [Vas Crabb]
 * Consistent use of leading article in The Sorcerer of Claymorgue Castle across Apple II software lists.
 * Missing space in ibm5170.xml and stray right angle bracket in sgi_mips.xml.
 * Lowercase disambiguators and ISO 843 Greek transliteration in funworld.cpp.
 * Removed not working flag inadvertently left on a machine in mpu4vid.cpp.

-cinemat: Fix naming convention violation. [Aaron Giles]

-pc98.xml: Mark fh2tagc as not working. [Vas Crabb]
